package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * @Description: 广告计划时报信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
@Data
@TableName("bytedance_ad_report_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_ad_report_hourly对象", description = "广告创意时报表信息")
public class ByteDanceAdvertisePlanHourlyReport {

    /**
     * 广告主id
     */
    @TableId
    @Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
    private Long advertiserId;

    /**
     * 广告组id
     */
    @TableId
    @Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告主id")
    private Long campaignId;

    /**
     * 广告组name
     */
    @Excel(name = "广告组name ", width = 15)
    @ApiModelProperty(value = "广告组name ")
    private String campaignName;

    /**
     * 计划id
     */
    @TableId
    @Excel(name = "计划id ", width = 15)
    @ApiModelProperty(value = "计划id ")
    private Long adId;

    /**
     * 计划name
     */
    @Excel(name = "计划name ", width = 15)
    @ApiModelProperty(value = "计划name ")
    private String adName;

    /**
     * 数据起始时间
     */
    @TableId
    @Excel(name = "数据起始时间", width = 15)
    @ApiModelProperty(value = "数据起始时间")
    private String statDatetime;

    /**
     * 数据起始时间
     */
    @TableId(value = "`hour`")
    @Excel(name = "小时", width = 15)
    @ApiModelProperty(value = "小时")
    private Integer hour;

    /**
     * 展现数据-总花费
     */
    @Excel(name = "展现数据-总花费", width = 15)
    @ApiModelProperty(value = "展现数据-总花费")
    private BigDecimal cost;

    /**
     * 展现数据-展示数
     */
    @TableField(value = "`show`")
    @Excel(name = "展现数据-展示数", width = 15)
    @ApiModelProperty(value = "展现数据-展示数")
    private Long show;

    /**
     * 展现数据-平均千次展现费用-展示数
     */
    @Excel(name = "展现数据-平均千次展现费用-展示数", width = 15)
    @ApiModelProperty(value = "展现数据-展现数据-平均千次展现费用")
    private BigDecimal avgShowCost;

    /**
     * 点击量
     */
    @Excel(name = "点击量", width = 15)
    @ApiModelProperty(value = "点击量")
    private Long click;

    /**
     * 展现数据-平均点击单价
     */
    @Excel(name = "展现数据-平均点击单价", width = 15)
    @ApiModelProperty(value = "展现数据-平均点击单价")
    private BigDecimal avgClickCost;

    /**
     * 展现数据-点击率
     */
    @Excel(name = "展现数据-点击率", width = 15)
    @ApiModelProperty(value = "展现数据-点击率")
    private BigDecimal ctr;


    /**
     * 转化数据-转化数
     */
    @TableField(value = "`convert`")
    @Excel(name = "转化数据-转化数", width = 15)
    @ApiModelProperty(value = "转化数据-转化数")
    private Long convert;

    /**
     * 转化数据-转化成本
     */
    @Excel(name = "转化数据-转化成本", width = 15)
    @ApiModelProperty(value = "转化数据-转化成本")
    private BigDecimal convertCost;

    /**
     * 转化数据-转化率
     */
    @Excel(name = "转化数据-转化率", width = 15)
    @ApiModelProperty(value = "转化数据-转化率")
    private BigDecimal convertRate;

    /**
     * 转化数据-深度转化数
     */
    @Excel(name = "转化数据-深度转化数", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化数")
    private Long deepConvert;

    /**
     * 转化数据-转化率
     */
    @Excel(name = "转化数据-深度转化成本", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化成本")
    private BigDecimal deepConvertCost;

    /**
     * 转化数据-转化率
     */
    @Excel(name = "转化数据-深度转化率", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化率")
    private BigDecimal deepConvertRate;

    /**
     * 转化数据（计费时间）-转化数（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-转化数（计费时间）", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-转化数（计费时间）")
    private Long attributionConvert;

    /**
     * 转化数据（计费时间）-转化成本（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-转化成本（计费时间）", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-转化成本（计费时间）")
    private BigDecimal attributionConvertCost;

    /**
     * 转化数据（计费时间）-深度转化数（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-深度转化数（计费时间）", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-深度转化数（计费时间）")
    private Long attributionDeepConvert;

    /**
     * 转化数据（计费时间）-深度转化成本（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-深度转化成本（计费时间）", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-深度转化成本（计费时间）")
    private BigDecimal attributionDeepConvertCost;

    /**
     * 应用下载广告数据-安卓下载开始数
     */
    @Excel(name = "应用下载广告数据-安卓下载开始数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始数")
    private Long downloadStart;

    /**
     * 应用下载广告数据-安卓下载开始成本
     */
    @Excel(name = "应用下载广告数据-安卓下载开始成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始成本")
    private BigDecimal downloadStartCost;

    /**
     * 应用下载广告数据-安卓下载开始率
     */
    @Excel(name = "应用下载广告数据-安卓下载开始率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始率")
    private BigDecimal downloadStartRate;

    /**
     * 应用下载广告数据-安卓下载开始数
     */
    @Excel(name = "应用下载广告数据-安卓下载完成数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成数")
    private Long downloadFinish;

    /**
     * 应用下载广告数据-安卓下载完成成本
     */
    @Excel(name = "应用下载广告数据-安卓下载完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成成本")
    private BigDecimal downloadFinishCost;

    /**
     * 应用下载广告数据-安卓下载开始率
     */
    @Excel(name = "应用下载广告数据-安卓下载完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成率")
    private BigDecimal downloadFinishRate;

    /**
     * 应用下载广告数据-点击安装数
     */
    @Excel(name = "应用下载广告数据-点击安装数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-点击安装数")
    private Long clickInstall;

    /**
     * 应用下载广告数据-安卓安装完成数
     */
    @Excel(name = "应用下载广告数据-安卓安装完成数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成数")
    private Long installFinish;
    /**
     * 应用下载广告数据-安卓安装完成成本
     */
    @Excel(name = "应用下载广告数据-安卓安装完成成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成成本")
    private BigDecimal installFinishCost;

    /**
     * 应用下载广告数据-安卓下载开始率
     */
    @Excel(name = "应用下载广告数据-安卓安装完成率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成率")
    private BigDecimal installFinishRate;


    /**
     * 应用下载-激活
     */
    @Excel(name = "应用下载-激活", width = 15)
    @ApiModelProperty(value = "应用下载-激活")
    private Long active;
    /**
     * 应用下载广告数据-激活成本
     */
    @Excel(name = "应用下载广告数据-激活成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活成本")
    private BigDecimal activeCost;
    /**
     * 应用下载广告数据-激活率
     */
    @Excel(name = "应用下载广告数据-激活率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活率")
    private BigDecimal activeRate;
    /**
     * 应用下载广告数据-注册数
     */
    @Excel(name = "应用下载广告数据-注册数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册数")
    private Long register;
    /**
     * 应用下载广告数据-注册成本
     */
    @Excel(name = "应用下载广告数据-注册成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册成本")
    private BigDecimal activeRegisterCost;
    /**
     * 应用下载广告数据-注册率
     */
    @Excel(name = "应用下载广告数据-注册率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册率")
    private BigDecimal activeRegisterRate;


    /**
     * 应用下载广告数据-次留（未对回）
     */
    @Excel(name = "应用下载广告数据-次留（未对回）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留（未对回）")
    private Long nextDayOpen;
    /**
     * 应用下载广告数据-次留成本（未对回）
     */
    @Excel(name = "应用下载广告数据-次留成本（未对回）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留成本（未对回）")
    private BigDecimal nextDayOpenCost;
    /**
     * 应用下载广告数据-次留率（未对回）
     */
    @Excel(name = "应用下载广告数据-次留率（未对回）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留率（未对回）")
    private BigDecimal nextDayOpenRate;


    /**
     * 应用下载广告数据-次留数
     */
    @Excel(name = "应用下载广告数据-次留数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留数")
    private Long attributionNextDayOpenCnt;
    /**
     * 应用下载广告数据-次留成本
     */
    @Excel(name = "应用下载广告数据-次留成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留成本")
    private BigDecimal attributionNextDayOpenCost;


    /**
     * 应用下载广告数据-次留率
     */
    @Excel(name = "应用下载广告数据-次留率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留率")
    private BigDecimal attributionNextDayOpenRate;

    /**
     * 应用下载广告数据-关键行为数
     */
    @Excel(name = "应用下载广告数据-关键行为数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为数")
    private Long gameAddiction;
    /**
     * 应用下载广告数据-关键行为成本
     */
    @Excel(name = "应用下载广告数据-关键行为成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为成本 ")
    private BigDecimal gameAddictionCost;


    /**
     * 应用下载广告数据-关键行为率
     */
    @Excel(name = "应用下载广告数据-关键行为率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为率")
    private BigDecimal gameAddictionRate;

    /**
     * 应用下载-付费数
     */
    @Excel(name = "应用下载-付费数", width = 15)
    @ApiModelProperty(value = "应用下载-付费数")
    private Long payCount;

    /**
     * 应用下载广告数据-首次付费成本
     */
    @Excel(name = "应用下载广告数据-首次付费成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-首次付费成本")
    private BigDecimal activePayCost;

    /**
     * 应用下载广告数据-首次付费率
     */
    @Excel(name = "应用下载广告数据-首次付费率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-首次付费率")
    private BigDecimal activePayRate;

    /**
     * 应用下载广告数据-完件数
     */
    @Excel(name = "应用下载广告数据-完件数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件数")
    private Long loanCompletion;

    /**
     * 应用下载广告数据-完件成本
     */
    @Excel(name = "应用下载广告数据-完件成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件成本")
    private BigDecimal loanCompletionCost;

    /**
     * 应用下载广告数据-完件率
     */
    @Excel(name = "应用下载广告数据-完件率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件率")
    private BigDecimal loanCompletionRate;

    /**
     * 应用下载广告数据-预授信数
     */
    @Excel(name = "应用下载广告数据-预授信数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-预授信数")
    private Long preLoanCredit;

    /**
     * 应用下载广告数据-预授信成本
     */
    @Excel(name = "应用下载广告数据-预授信成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-预授信成本 ")
    private BigDecimal preLoanCreditCost;

    /**
     * 应用下载广告数据-预授信数
     */
    @Excel(name = "应用下载广告数据-授信数", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信数")
    private Long loanCredit;

    /**
     * 应用下载广告数据-授信成本
     */
    @Excel(name = "应用下载广告数据-授信成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信成本")
    private BigDecimal loanCreditCost;

    /**
     * 应用下载广告数据-授信率
     */
    @Excel(name = "应用下载广告数据-授信率", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信率")
    private BigDecimal loanCreditRate;


    /**
     * 应用下载-到达uv
     */
    @Excel(name = "应用下载-到达uv", width = 15)
    @ApiModelProperty(value = "应用下载-到达uv")
    private Long inAppUv;
    /**
     * 应用下载-详情页到站uv
     */
    @Excel(name = "应用下载-详情页到站uv", width = 15)
    @ApiModelProperty(value = "应用下载-详情页到站uv")
    private Long inAppDetailUv;
    /**
     * 应用下载-加入购物车
     */
    @Excel(name = "应用下载-加入购物车", width = 15)
    @ApiModelProperty(value = "应用下载-加入购物车")
    private Long inAppCart;

    /**
     * 应用下载-付费
     */
    @Excel(name = "应用下载-付费", width = 15)
    @ApiModelProperty(value = "应用下载-付费")
    private Long inAppPay;
    /**
     * 应用下载-提交订单
     */
    @Excel(name = "应用下载-提交订单", width = 15)
    @ApiModelProperty(value = "应用下载-提交订单")
    private Long inAppOrder;


    /**
     * 应用下载广告数据-7日付费次数（激活时间）
     */
    @TableField(value = "attribution_game_pay_7d_count")
    @Excel(name = "应用下载广告数据-7日付费次数（激活时间）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日付费次数（激活时间）")
    private Long attributionGamePay7dCount;

    /**
     * 应用下载广告数据-7日付费成本（激活时间）
     */
    @TableField(value = "attribution_game_pay_7d_cost")
    @Excel(name = "应用下载广告数据-7日付费成本（激活时间）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日付费成本（激活时间）")
    private BigDecimal attributionGamePay7dCost;

    /**
     * 应用下载广告数据-7日人均付费次数（激活时间）
     */
    @TableField(value = "attribution_active_pay_7d_per_count")
    @Excel(name = "应用下载广告数据-7日人均付费次数（激活时间）", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日人均付费次数（激活时间）")
    private Long attributionActivePay7dPerCount;

    /**
     * 应用下载广告数据-付费成本
     */
    @Excel(name = "应用下载广告数据-付费成本", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费成本")
    private BigDecimal gamePayCost;

    /**
     * 应用下载广告数据-付费次数
     */
    @Excel(name = "应用下载广告数据-付费次数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费次数 ")
    private BigDecimal gamePayCount;

    /**
     * 落地页-电话拨打数
     */
    @Excel(name = "落地页-电话拨打数", width = 15)
    @ApiModelProperty(value = "落地页-电话拨打数")
    private Long phone;
    /**
     * 表单提交数
     */
    @Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
    private Long form;
    /**
     * 落地页-地图搜索
     */
    @Excel(name = "落地页-地图搜索", width = 15)
    @ApiModelProperty(value = "落地页-地图搜索")
    private Long mapSearch;
    /**
     * 落地页-按钮button
     */
    @Excel(name = "落地页-按钮button", width = 15)
    @ApiModelProperty(value = "落地页-按钮button")
    private Long button;
    /**
     * 落地页-关键页面浏览
     */
    @TableField(value = "`view`")
    @Excel(name = "落地页-关键页面浏览", width = 15)
    @ApiModelProperty(value = "落地页-关键页面浏览")
    private Long view;

    /**
     * 落地页转化数据-下载开始
     */
    @Excel(name = "落地页转化数据-下载开始", width = 15)
    @ApiModelProperty(value = "落地页转化数据-下载开始")
    private Long download;

    /**
     * 落地页-QQ咨询数
     */
    @Excel(name = "落地页-QQ咨询数", width = 15)
    @ApiModelProperty(value = "落地页-QQ咨询数")
    private Long qq;
    /**
     * 落地页-抽奖数
     */
    @Excel(name = "落地页-抽奖数", width = 15)
    @ApiModelProperty(value = "落地页-抽奖数")
    private Long lottery;
    /**
     * 落地页-投票
     */
    @Excel(name = "落地页-投票", width = 15)
    @ApiModelProperty(value = "落地页-投票")
    private Long vote;

    /**
     * 落地页转化数据-短信咨询
     */
    @Excel(name = "落地页转化数据-短信咨询", width = 15)
    @ApiModelProperty(value = "落地页转化数据-短信咨询")
    private Long message;
    /**
     * 落地页-页面跳转
     */
    @Excel(name = "落地页-页面跳转", width = 15)
    @ApiModelProperty(value = "落地页-页面跳转")
    private Long redirect;
    /**
     * 落地页-商品购买
     */
    @Excel(name = "落地页-商品购买", width = 15)
    @ApiModelProperty(value = "落地页-商品购买")
    private Long shopping;
    /**
     * 落地页-在线咨询
     */
    @Excel(name = "落地页-在线咨询", width = 15)
    @ApiModelProperty(value = "落地页-在线咨询")
    private Long consult;
    /**
     * 落地页-微信
     */
    @Excel(name = "落地页-微信", width = 15)
    @ApiModelProperty(value = "落地页-微信")
    private Long wechat;
    /**
     * 落地页-智能电话确认拨打
     */
    @Excel(name = "落地页-智能电话确认拨打", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
    private Long phoneConfirm;
    /**
     * 落地页-智能电话确认接通
     */
    @Excel(name = "落地页-智能电话确认接通", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认接通")
    private Long phoneConnect;
    /**
     * 落地页-智能电话有效咨询
     */
    @Excel(name = "落地页-智能电话有效咨询", width = 15)
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
    private Long consultEffective;

    /**
     * 落地页转化数据-建站卡券领取
     */
    @Excel(name = "落地页转化数据-建站卡券领取", width = 15)
    @ApiModelProperty(value = "落地页转化数据-建站卡券领取")
    private Long coupon;

    /**
     * 落地页转化数据-建站卡券领取
     */
    @Excel(name = "落地页转化数据-卡券页领取", width = 15)
    @ApiModelProperty(value = "落地页转化数据-卡券页领取")
    private Long couponSinglePage;

    /**
     * 落地页及门店数据-调起店铺
     */
    @Excel(name = "落地页及门店数据-调起店铺", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-调起店铺")
    private Long redirectToShop;
    /**
     * 落地页及门店数据-店铺收藏
     */
    @Excel(name = "落地页及门店数据-店铺收藏", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-店铺收藏")
    private Long poiCollect;

    /**
     * 落地页及门店数据-查看店铺地址
     */
    @Excel(name = "落地页及门店数据-查看店铺地址 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-查看店铺地址 ")
    private Long poiAddressClick;

    /**
     * 落地页及门店数据-鲁班订单量
     */
    @Excel(name = "落地页及门店数据-鲁班订单量 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班订单量 ")
    private Long lubanOrderCnt;


    /**
     * 落地页及门店数据-鲁班订单金额
     */
    @Excel(name = "落地页及门店数据-鲁班订单金额", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班订单金额")
    private BigDecimal lubanOrderStatAmount;

    /**
     * 落地页及门店数据-鲁班ROI
     */
    @Excel(name = "落地页及门店数据-鲁班ROI", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班ROI")
    private BigDecimal lubanOrderRoi;

    /**
     * 落地页及门店数据-直播间超过1分钟观看数
     */
    @Excel(name = "落地页及门店数据-直播间超过1分钟观看数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间超过1分钟观看数")
    private Long liveWatchOneMinuteCount;

    /**
     * 落地页及门店数据-直播间关注数
     */
    @Excel(name = "落地页及门店数据-直播间关注数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间关注数")
    private Long lubanLiveFollowCnt;

    /**
     * 落地页及门店数据-直播间加入粉丝团
     */
    @Excel(name = "落地页及门店数据-直播间加入粉丝团", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间加入粉丝团")
    private Long liveFansClubJoinCnt;

    /**
     * 落地页及门店数据-直播间评论数
     */
    @Excel(name = "落地页及门店数据-直播间评论数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间评论数")
    private Long lubanLiveCommentCnt;

    /**
     * 落地页及门店数据-直播间分享数
     */

    @Excel(name = "落地页及门店数据-直播间分享数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间分享数")
    private Long lubanLiveShareCnt;

    /**
     * 落地页及门店数据-直播间打赏次数
     */
    @Excel(name = "落地页及门店数据-直播间打赏次数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间打赏次数")
    private Long lubanLiveGiftCnt;

    /**
     * 落地页及门店数据-直播间礼物总金额
     */
    @Excel(name = "落地页及门店数据-直播间礼物总金额", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间礼物总金额")
    private BigDecimal lubanLiveGiftAmount;

    /**
     * 落地页及门店数据-直播间查看购物车数
     */
    @Excel(name = "落地页及门店数据-直播间查看购物车数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间查看购物车数")
    private Long lubanLiveSlidecartClickCnt;

    /**
     * 落地页及门店数据-直播间点击商品数
     */
    @Excel(name = "落地页及门店数据-直播间点击商品数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间点击商品数")
    private Long lubanLiveClickProductCnt;

    /**
     * 落地页及门店数据-直播间订单量
     */
    @Excel(name = "落地页及门店数据-直播间订单量", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间订单量")
    private Long lubanLivePayOrderCount;

    /**
     * 落地页及门店数据-直播间订单金额
     */
    @Excel(name = "落地页及门店数据-直播间订单金额", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间订单金额")
    private BigDecimal lubanLivePayOrderStatCost;

    /**
     * 落地页及门店数据-直播间组件点击数。用户点击小风车+卡片组件的总次数
     */
    @Excel(name = "落地页及门店数据-直播间组件点击数。用户点击小风车+卡片组件的总次数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间组件点击数。用户点击小风车+卡片组件的总次数")
    private Long liveComponentClickCount;

    /**
     * 落地页及门店数据-直播间组件点击成本。总花费/组件点击数
     */
    @Excel(name = "落地页及门店数据-直播间组件点击成本。总花费/组件点击数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间组件点击成本。总花费/组件点击数")
    private BigDecimal liveComponentClickCost;

    /**
     * 落地页及门店数据-直播间组件点击率。组件点击数/组件曝光数
     */
    @Excel(name = "落地页及门店数据-直播间组件点击率。组件点击数/组件曝光数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间组件点击率。组件点击数/组件曝光数")
    private BigDecimal liveComponentClickRate;

    /**
     * 落地页及门店数据-微信内注册数
     */
    @Excel(name = "落地页及门店数据-微信内注册数", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册数")
    private Long wechatLoginCount;

    /**
     * 落地页及门店数据-微信内注册数(计费时间)
     */
    @TableField(value = "attribution_wechat_login_30d_count")
    @Excel(name = "落地页及门店数据-微信内注册数(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册数(计费时间)")
    private Long attributionWechatLogin30dCount;

    /**
     * 落地页及门店数据-微信内注册成本
     */
    @Excel(name = "落地页及门店数据-微信内注册成本 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册成本 ")
    private BigDecimal wechatLoginCost;

    /**
     * 落地页及门店数据-微信内注册成本(计费时间)
     */
    @TableField(value = "attribution_wechat_login_30d_cost")
    @Excel(name = "落地页及门店数据-微信内注册成本(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册成本(计费时间)")
    private BigDecimal attributionWechatLogin30dCost;

    /**
     * 落地页及门店数据-微信内首次付费数
     */
    @Excel(name = "落地页及门店数据-微信内首次付费数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费数")
    private Long wechatFirstPayCount;

    /**
     * 落地页及门店数据-微信内首次付费数(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_count")
    @Excel(name = "落地页及门店数据-微信内首次付费数(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费数(计费时间)")
    private BigDecimal attributionWechatFirstPay30dCount;

    /**
     * 落地页及门店数据-微信内首次付费成本
     */
    @Excel(name = "落地页及门店数据-微信内首次付费成本 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费成本 ")
    private BigDecimal wechatFirstPayCost;

    /**
     * 落地页及门店数据-微信内首次付费成本(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_cost")
    @Excel(name = "落地页及门店数据-微信内首次付费成本(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费成本(计费时间)")
    private BigDecimal attributionWechatFirstPay30dCost;

    /**
     * 落地页及门店数据-微信内首次付费率
     */
    @Excel(name = "落地页及门店数据-微信内首次付费率", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费率")
    private BigDecimal wechatFirstPayRate;

    /**
     * 落地页及门店数据-微信内首次付费率(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_rate")
    @Excel(name = "落地页及门店数据-微信内首次付费率(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费率(计费时间)")
    private BigDecimal attributionWechatFirstPay30dRate;

    /**
     * 落地页及门店数据-微信内首次付费金额
     */
    @Excel(name = "落地页及门店数据-微信内首次付费金额", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费金额")
    private BigDecimal wechatPayAmount;

    /**
     * 落地页及门店数据-微信内首次付费金额(计费时间)
     */
    @TableField(value = "attribution_wechat_pay_30d_amount")
    @Excel(name = "落地页及门店数据-微信内首次付费金额(计费时间)", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费金额(计费时间)")
    private BigDecimal attributionWechatPay30dAmount;

    /**
     * 落地页及门店数据-微信内首次付费ROI
     */
    @TableField(value = "attribution_wechat_pay_30d_roi")
    @Excel(name = "落地页及门店数据-微信内首次付费ROI", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费ROI")
    private BigDecimal attributionWechatPay30dRoi;

    /**
     * 落地页及门店数据-智能电话-有效接通
     */
    @Excel(name = "落地页及门店数据-智能电话-有效接通 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-智能电话-有效接通 ")
    private Long phoneEffective;

    /**
     * 视频-总播放
     */
    @Excel(name = "视频-总播放", width = 15)
    @ApiModelProperty(value = "视频-总播放")
    private Long totalPlay;
    /**
     * 视频-有效播放
     */
    @Excel(name = "视频-有效播放", width = 15)
    @ApiModelProperty(value = "视频-有效播放")
    private Long validPlay;

    /**
     * 视频数据-有效播放成本
     */
    @Excel(name = "视频数据-有效播放成本 ", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放成本 ")
    private BigDecimal validPlayCost;

    /**
     * 视频数据-有效播放率
     */
    @Excel(name = "视频数据-有效播放率", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放率")
    private Long validPlayRate;


    /**
     * 视频-播放25%进度总数
     */
    @TableField(value = "play_25_feed_break")
    @Excel(name = "视频-播放25%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度总数")
    private Long play25FeedBreak;
    /**
     * 视频-播放50%进度总数
     */
    @TableField(value = "play_50_feed_break")
    @Excel(name = "视频-播放50%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放50%进度总数")
    private Long play50FeedBreak;
    /**
     * 视频-播放75%进度总数
     */
    @TableField(value = "play_75_feed_break")
    @Excel(name = "视频-播放75%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放75%进度总数")
    private Long play75FeedBreak;
    /**
     * 视频-播放100%进度总数
     */
    @TableField(value = "play_100_feed_break")
    @Excel(name = "视频-播放100%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放100%进度总数")
    private Long play100FeedBreak;

    /**
     * 视频数据-平均单次播放时长，单位：秒
     */
    @Excel(name = "视频数据-平均单次播放时长，单位：秒", width = 15)
    @ApiModelProperty(value = "视频数据-平均单次播放时长，单位：秒")
    private BigDecimal averagePlayTimePerPlay;


    /**
     * 视频数据-播完率
     */
    @Excel(name = "视频数据-播完率 ", width = 15)
    @ApiModelProperty(value = "视频数据-播完率 ")
    private BigDecimal playOverRate;

    /**
     * 视频数据-WiFi播放占比
     */
    @Excel(name = "视频数据-WiFi播放占比", width = 15)
    @ApiModelProperty(value = "视频数据-WiFi播放占比")
    private BigDecimal wifiPlayRate;

    /**
     * 视频-wifi播放
     */
    @Excel(name = "视频-wifi播放", width = 15)
    @ApiModelProperty(value = "视频-wifi播放")
    private Long wifiPlay;

    /**
     * 视频数据-播放时长，单位ms
     */
    @Excel(name = "视频数据-播放时长，单位ms", width = 15)
    @ApiModelProperty(value = "视频数据-播放时长，单位ms")
    private Long playDurationSum;


    /**
     * 附加创意-电话按钮
     */
    @Excel(name = "附加创意-电话按钮", width = 15)
    @ApiModelProperty(value = "附加创意-电话按钮")
    private Long advancedCreativePhoneClick;
    /**
     * 附加创意-在线咨询
     */
    @Excel(name = "附加创意-在线咨询", width = 15)
    @ApiModelProperty(value = "附加创意-在线咨询")
    private Long advancedCreativeCounselClick;
    /**
     * 附加创意-表单提交
     */
    @Excel(name = "附加创意-表单提交", width = 15)
    @ApiModelProperty(value = "附加创意-表单提交")
    private Long advancedCreativeFormClick;

    /**
     * 附加创意-附加创意卡券领取
     */
    @Excel(name = "附加创意-附加创意卡券领取", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意卡券领取")
    private Long advancedCreativeCouponAddition;

    /**
     * 附加创意-附加创意表单提交
     */
    @Excel(name = "附加创意-附加创意表单提交", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意表单提交")
    private Long advancedCreativeFormSubmit;

    /**
     * 视频数据3秒卡片展现
     */

    @Excel(name = "视频数据3秒卡片展现", width = 15)
    @ApiModelProperty(value = "视频数据3秒卡片展现")
    private Long cardShow;

    /**
     * 互动数据-分享数
     */
    @TableField(value = "`share`")
    @Excel(name = "互动数据-分享数", width = 15)
    @ApiModelProperty(value = "互动数据-分享数")
    private Long share;
    /**
     * 互动数据-评论数
     */
    @TableField(value = "`comment`")
    @Excel(name = "互动数据-评论数", width = 15)
    @ApiModelProperty(value = "互动数据-评论数")
    private Long comment;
    /**
     * 互动数据-点赞数
     */
    @TableField(value = "`like`")
    @Excel(name = "互动数据-点赞数", width = 15)
    @ApiModelProperty(value = "互动数据-点赞数")
    private Long like;
    /**
     * 互动数据-关注数
     */
    @Excel(name = "互动数据-关注数", width = 15)
    @ApiModelProperty(value = "互动数据-关注数")
    private Long follow;
    /**
     * 互动数据-主页访问量
     */
    @Excel(name = "互动数据-主页访问量", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量")
    private Long homeVisited;
    /**
     * 互动数据-挑战赛查看数
     */
    @Excel(name = "互动数据-挑战赛查看数", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
    private Long iesChallengeClick;
    /**
     * 互动数据-音乐查看数
     */
    @Excel(name = "互动数据-音乐查看数", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数")
    private Long iesMusicClick;

    /**
     * 互动数据-POI点击数
     */
    @Excel(name = "互动数据-POI点击数", width = 15)
    @ApiModelProperty(value = "互动数据-POI点击数")
    private Long locationClick;

    /**
     * 互动数据-私信数
     */
    @Excel(name = "互动数据-私信数", width = 15)
    @ApiModelProperty(value = "互动数据-私信数")
    private Long messageAction;

    /**
     * 互动数据-推广页访问量
     */
    @Excel(name = "互动数据-推广页访问量", width = 15)
    @ApiModelProperty(value = "互动数据-推广页访问量")
    private Long clickLandingPage;

    /**
     * 互动数据-主页商品橱窗访问量
     */
    @Excel(name = "互动数据-主页商品橱窗访问量 ", width = 15)
    @ApiModelProperty(value = "互动数据-主页商品橱窗访问量 ")
    private Long clickShopwindow;

    /**
     * 互动数据-主页内落地页访问量（主页官网访问量）
     */
    @Excel(name = "互动数据-主页内落地页访问量（主页官网访问量） ", width = 15)
    @ApiModelProperty(value = "互动数据-主页内落地页访问量（主页官网访问量） ")
    private Long clickWebsite;

    /**
     * 互动数据-主页下载链接点击量
     */
    @Excel(name = "互动数据-主页下载链接点击量", width = 15)
    @ApiModelProperty(value = "互动数据-主页下载链接点击量")
    private Long clickDownload;


    /**
     * 互动数据-主页内电话拨打点击量
     */
    @Excel(name = "互动数据-主页内电话拨打点击量", width = 15)
    @ApiModelProperty(value = "互动数据-主页内电话拨打点击量")
    private Long clickCallDy;


    /**
     * 提交身份认证数-出行行业司机在应用内提交身份认证的次数
     */
    @Excel(name = "提交身份认证数-出行行业司机在应用内提交身份认证的次数 ", width = 15)
    @ApiModelProperty(value = "提交身份认证数-出行行业司机在应用内提交身份认证的次数")
    private Long submitCertificationCount;


    /**
     * 通过身份认证数-出行行业司机在应用内成功通过身份认证的次数
     */
    @Excel(name = "通过身份认证数-出行行业司机在应用内成功通过身份认证的次数", width = 15)
    @ApiModelProperty(value = "通过身份认证数-出行行业司机在应用内成功通过身份认证的次数")
    private Long approvalCount;

    /**
     * 乘客首次下单数-出行行业乘客在应用内首次成功下单的数量
     */
    @Excel(name = "乘客首次下单数-出行行业乘客在应用内首次成功下单的数量", width = 15)
    @ApiModelProperty(value = "乘客首次下单数-出行行业乘客在应用内首次成功下单的数量")
    private Long firstRentalOrderCount;


    /**
     * 司机首次完单数-出行行业司机在应用内首次成功完成订单的数量
     */
    @Excel(name = "司机首次完单数-出行行业司机在应用内首次成功完成订单的数量", width = 15)
    @ApiModelProperty(value = "司机首次完单数-出行行业司机在应用内首次成功完成订单的数量")
    private Long firstOrderCount;
    /**
     * 乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量
     */
    @Excel(name = "乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量", width = 15)
    @ApiModelProperty(value = "乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量")
    private Long commuteFirstPayCount;

}
