package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;


/**
 * 代理商日报
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Data
@TableName("bytedance_agent_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_agent_report_daily对象", description = "代理商日报")
public class BytedanceAgentReportDaily {

    /**
     * 数据日期
     */
    @Excel(name = "数据日期            ", width = 15)
    @ApiModelProperty(value = "数据日期            ")
    private String statDatetime;
    /**
     * 代理商ID
     */
    @Excel(name = "代理商ID            ", width = 15)
    @ApiModelProperty(value = "代理商ID            ")
    private Long agentId;
    /**
     * 代理商名称
     */
    @Excel(name = "代理商名称          ", width = 15)
    @ApiModelProperty(value = "代理商名称          ")
    private String agentName;
    /**
     * 广告主id
     */
    @Excel(name = "广告主id            ", width = 15)
    @ApiModelProperty(value = "广告主id            ")
    private Long advertiserId;
    /**
     * 广告主名称
     */
    @Excel(name = "广告主名称          ", width = 15)
    @ApiModelProperty(value = "广告主名称          ")
    private String advertiserName;
    /**
     * 二级行业
     */
    @Excel(name = "二级行业            ", width = 15)
    @ApiModelProperty(value = "二级行业            ")
    private String secondIndustry;
    /**
     * 一级行业
     */
    @Excel(name = "一级行业            ", width = 15)
    @ApiModelProperty(value = "一级行业            ")
    private String firstIndustry;
    /**
     * 广告主账户类型
     */
    @Excel(name = "广告主账户类型      ", width = 15)
    @ApiModelProperty(value = "广告主账户类型      ")
    private String accountSource;
    /**
     * 广告主账号的过审时间
     */
    @Excel(name = "广告主账号的过审时间", width = 15)
    @ApiModelProperty(value = "广告主账号的过审时间")
    private String auditPassTime;
    /**
     * 广告主的账户状态
     */
    @Excel(name = "广告主的账户状态    ", width = 15)
    @ApiModelProperty(value = "广告主的账户状态    ")
    private String accountStatus;
    /**
     * 广告主所属公司ID
     */
    @Excel(name = "广告主所属公司ID    ", width = 15)
    @ApiModelProperty(value = "广告主所属公司ID    ")
    private Integer companyId;
    /**
     * 广告主所属公司名称
     */
    @Excel(name = "广告主所属公司名称  ", width = 15)
    @ApiModelProperty(value = "广告主所属公司名称  ")
    private String companyName;
    /**
     * 广告主账户的注册时间
     */
    @Excel(name = "广告主账户的注册时间", width = 15)
    @ApiModelProperty(value = "广告主账户的注册时间")
    private String registerTime;
    /**
     * 总消耗
     */
    @Excel(name = "总消耗              ", width = 15)
    @ApiModelProperty(value = "总消耗              ")
    private java.math.BigDecimal cost;
    /**
     * 现金消耗
     */
    @Excel(name = "现金消耗            ", width = 15)
    @ApiModelProperty(value = "现金消耗            ")
    private java.math.BigDecimal cashCost;
    /**
     * 竞价消耗
     */
    @Excel(name = "竞价消耗            ", width = 15)
    @ApiModelProperty(value = "竞价消耗            ")
    private java.math.BigDecimal bidCost;
    /**
     * 品牌消耗
     */
    @Excel(name = "品牌消耗            ", width = 15)
    @ApiModelProperty(value = "品牌消耗            ")
    private java.math.BigDecimal brandCost;
    /**
     * 赠款消耗
     */
    @Excel(name = "赠款消耗            ", width = 15)
    @ApiModelProperty(value = "赠款消耗            ")
    private java.math.BigDecimal grantsCost;
    /**
     * CPC消耗
     */
    @Excel(name = "CPC消耗             ", width = 15)
    @ApiModelProperty(value = "CPC消耗             ")
    private java.math.BigDecimal cpcCost;
    /**
     * CPM消耗
     */
    @Excel(name = "CPM消耗             ", width = 15)
    @ApiModelProperty(value = "CPM消耗             ")
    private java.math.BigDecimal cpmCost;
    /**
     * oCPC消耗
     */
    @Excel(name = "oCPC消耗            ", width = 15)
    @ApiModelProperty(value = "oCPC消耗            ")
    private java.math.BigDecimal ocpcCost;
    /**
     * CPA消耗
     */
    @Excel(name = "CPA消耗             ", width = 15)
    @ApiModelProperty(value = "CPA消耗             ")
    private java.math.BigDecimal cpaCost;
    /**
     * oCPM消耗
     */
    @Excel(name = "oCPM消耗            ", width = 15)
    @ApiModelProperty(value = "oCPM消耗            ")
    private java.math.BigDecimal ocpmCost;
    /**
     * CPV消耗
     */
    @Excel(name = "CPV消耗             ", width = 15)
    @ApiModelProperty(value = "CPV消耗             ")
    private java.math.BigDecimal cpvCost;
    /**
     * CPT消耗
     */
    @Excel(name = "CPT消耗             ", width = 15)
    @ApiModelProperty(value = "CPT消耗             ")
    private java.math.BigDecimal cptCost;
    /**
     * GD消耗
     */
    @Excel(name = "GD消耗              ", width = 15)
    @ApiModelProperty(value = "GD消耗              ")
    private java.math.BigDecimal gdCost;
    /**
     * 展示量
     */
    @TableField(value = "`show`")
    @Excel(name = "展示量              ", width = 15)
    @ApiModelProperty(value = "展示量              ")
    private Integer show;
    /**
     * 平均千次展示价格
     */
    @Excel(name = "平均千次展示价格    ", width = 15)
    @ApiModelProperty(value = "平均千次展示价格    ")
    private String cpm;
    /**
     * 点击量
     */
    @Excel(name = "点击量              ", width = 15)
    @ApiModelProperty(value = "点击量              ")
    private Integer click;
    /**
     * 点击率
     */
    @Excel(name = "点击率              ", width = 15)
    @ApiModelProperty(value = "点击率              ")
    private java.math.BigDecimal ctr;
    /**
     * 平均点击价格
     */
    @Excel(name = "平均点击价格        ", width = 15)
    @ApiModelProperty(value = "平均点击价格        ")
    private java.math.BigDecimal cpc;
    /**
     * 转账总次数
     */
    @Excel(name = "转账总次数          ", width = 15)
    @ApiModelProperty(value = "转账总次数          ")
    private Integer transferCount;
    /**
     * 今日总消耗
     */
    @Excel(name = "今日总消耗          ", width = 15)
    @ApiModelProperty(value = "今日总消耗          ")
    private java.math.BigDecimal todayCost;
    /**
     * 转账金额
     */
    @Excel(name = "转账金额            ", width = 15)
    @ApiModelProperty(value = "转账金额            ")
    private java.math.BigDecimal transferAmount;
    /**
     * 历史总消耗
     */
    @Excel(name = "历史总消耗          ", width = 15)
    @ApiModelProperty(value = "历史总消耗          ")
    private java.math.BigDecimal historyCost;
    /**
     * 广告主开户天数
     */
    @Excel(name = "广告主开户天数      ", width = 15)
    @ApiModelProperty(value = "广告主开户天数      ")
    private java.math.BigDecimal registerDays;
    /**
     * 首消时间
     */
    @Excel(name = "首消时间            ", width = 15)
    @ApiModelProperty(value = "首消时间            ")
    private String firstCostTime;
}
