package cn.com.ctop.job.bytedance.data.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 代理商日报
 * @author jeecg-boot
 * @date   2021-10-21
 * @version V1.0
 */
@Data
@TableName("bytedance_agent_report_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="bytedance_agent_report_hourly对象", description="代理商日报")
public class BytedanceAgentReportHourly {
    
	/**数据日期                         */
	@Excel(name = "数据日期                         ", width = 15)
    @ApiModelProperty(value = "数据日期                         ")
	private String statDatetime;
	/**hour*/
	@TableField(value = "`hour`")
	@Excel(name = "hour", width = 15)
    @ApiModelProperty(value = "hour")
	private java.lang.Integer hour;
	/**代理商 ID                        */
	@Excel(name = "代理商 ID                        ", width = 15)
    @ApiModelProperty(value = "代理商 ID                        ")
	private Long agentId;
	/**代理商名称                       */
	@Excel(name = "代理商名称                       ", width = 15)
    @ApiModelProperty(value = "代理商名称                       ")
	private java.lang.String agentName;
	/**广告主ID                         */
	@Excel(name = "广告主ID                         ", width = 15)
    @ApiModelProperty(value = "广告主ID                         ")
	private Long advertiserId;
	/**广告主名称                       */
	@Excel(name = "广告主名称                       ", width = 15)
    @ApiModelProperty(value = "广告主名称                       ")
	private java.lang.String advertiserName;
	/**一级行业                         */
	@Excel(name = "一级行业                         ", width = 15)
    @ApiModelProperty(value = "一级行业                         ")
	private java.lang.String firstIndustry;
	/**二级行业                         */
	@Excel(name = "二级行业                         ", width = 15)
    @ApiModelProperty(value = "二级行业                         ")
	private java.lang.String secondIndustry;
	/**广告主账号的过审时间             */
	@Excel(name = "广告主账号的过审时间             ", width = 15)
    @ApiModelProperty(value = "广告主账号的过审时间             ")
	private java.lang.String auditPassTime;
	/**广告主账户状态                   */
	@Excel(name = "广告主账户状态                   ", width = 15)
    @ApiModelProperty(value = "广告主账户状态                   ")
	private java.lang.String accountStatus;
	/**广告主所属公司ID                 */
	@Excel(name = "广告主所属公司ID                 ", width = 15)
    @ApiModelProperty(value = "广告主所属公司ID                 ")
	private java.lang.Integer companyId;
	/**广告主所属公司名称               */
	@Excel(name = "广告主所属公司名称               ", width = 15)
    @ApiModelProperty(value = "广告主所属公司名称               ")
	private java.lang.String companyName;
	/**广告主账户的注册时间             */
	@Excel(name = "广告主账户的注册时间             ", width = 15)
    @ApiModelProperty(value = "广告主账户的注册时间             ")
	private java.lang.String registerTime;
	/**广告主账户类型                   */
	@Excel(name = "广告主账户类型                   ", width = 15)
    @ApiModelProperty(value = "广告主账户类型                   ")
	private java.lang.String accountSource;
	/**今日总消耗                       */
	@Excel(name = "今日总消耗                       ", width = 15)
    @ApiModelProperty(value = "今日总消耗                       ")
	private java.math.BigDecimal todayCost;
	/**昨日总消耗                       */
	@Excel(name = "昨日总消耗                       ", width = 15)
    @ApiModelProperty(value = "昨日总消耗                       ")
	private java.math.BigDecimal yesterdayCost;
	/**今日查询结束时间                 */
	@Excel(name = "今日查询结束时间                 ", width = 15)
    @ApiModelProperty(value = "今日查询结束时间                 ")
	private java.lang.Integer queryEndTime;
	/**今日截止x点总消耗                */
	@Excel(name = "今日截止x点总消耗                ", width = 15)
    @ApiModelProperty(value = "今日截止x点总消耗                ")
	private java.math.BigDecimal todayXHourCost;
	/**昨日截止x点总消耗                */
	@Excel(name = "昨日截止x点总消耗                ", width = 15)
    @ApiModelProperty(value = "昨日截止x点总消耗                ")
	private java.math.BigDecimal yesterdayXHourCost;
	/**截止x点总消耗升降值              */
	@Excel(name = "截止x点总消耗升降值              ", width = 15)
    @ApiModelProperty(value = "截止x点总消耗升降值              ")
	private java.math.BigDecimal xHourCostDiff;
	/**今日截止x点转化数                */
	@Excel(name = "今日截止x点转化数                ", width = 15)
    @ApiModelProperty(value = "今日截止x点转化数                ")
	private java.math.BigDecimal todayXHourConvert;
	/**昨日截止x点转化数                */
	@Excel(name = "昨日截止x点转化数                ", width = 15)
    @ApiModelProperty(value = "昨日截止x点转化数                ")
	private java.math.BigDecimal yesterdayXHourConvert;
	/**截止x点转化数升降值              */
	@Excel(name = "截止x点转化数升降值              ", width = 15)
    @ApiModelProperty(value = "截止x点转化数升降值              ")
	private java.math.BigDecimal xHourConvertDiff;
	/**今日截止x点累计转化成本          */
	@Excel(name = "今日截止x点累计转化成本          ", width = 15)
    @ApiModelProperty(value = "今日截止x点累计转化成本          ")
	private java.math.BigDecimal todayXHourCpa;
	/**昨日截止x点累计转化成本          */
	@Excel(name = "昨日截止x点累计转化成本          ", width = 15)
    @ApiModelProperty(value = "昨日截止x点累计转化成本          ")
	private java.math.BigDecimal yesterdayXHourCpa;
	/**截止x点累计转化成本升降值        */
	@Excel(name = "截止x点累计转化成本升降值        ", width = 15)
    @ApiModelProperty(value = "截止x点累计转化成本升降值        ")
	private java.math.BigDecimal xHourCpaDiff;
	/**今日截止x点点击数                */
	@Excel(name = "今日截止x点点击数                ", width = 15)
    @ApiModelProperty(value = "今日截止x点点击数                ")
	private java.lang.Integer todayXHourClick;
	/**昨日截止x点点击数                */
	@Excel(name = "昨日截止x点点击数                ", width = 15)
    @ApiModelProperty(value = "昨日截止x点点击数                ")
	private java.lang.Integer yesterdayXHourClick;
	/**截止x点点击数升降值              */
	@Excel(name = "截止x点点击数升降值              ", width = 15)
    @ApiModelProperty(value = "截止x点点击数升降值              ")
	private java.lang.Integer xHourClickDiff;
	/**今日截止x点累计点击成本          */
	@Excel(name = "今日截止x点累计点击成本          ", width = 15)
    @ApiModelProperty(value = "今日截止x点累计点击成本          ")
	private java.math.BigDecimal todayXHourCpc;
	/**昨日截止x点累计点击成本          */
	@Excel(name = "昨日截止x点累计点击成本          ", width = 15)
    @ApiModelProperty(value = "昨日截止x点累计点击成本          ")
	private java.math.BigDecimal yesterdayXHourCpc;
	/**截止x点累计点击成本升降值        */
	@Excel(name = "截止x点累计点击成本升降值        ", width = 15)
    @ApiModelProperty(value = "截止x点累计点击成本升降值        ")
	private java.math.BigDecimal xHourCpcDiff;
	/**昨日现金消耗                     */
	@Excel(name = "昨日现金消耗                     ", width = 15)
    @ApiModelProperty(value = "昨日现金消耗                     ")
	private java.math.BigDecimal yesterdayCashCost;
	/**昨日竞价现金消耗                 */
	@Excel(name = "昨日竞价现金消耗                 ", width = 15)
    @ApiModelProperty(value = "昨日竞价现金消耗                 ")
	private java.math.BigDecimal yesterdayBidCashCost;
	/**昨日品牌现金消耗                 */
	@Excel(name = "昨日品牌现金消耗                 ", width = 15)
    @ApiModelProperty(value = "昨日品牌现金消耗                 ")
	private java.math.BigDecimal yesterdayBrandCashCost;
	/**昨日赠款消耗                     */
	@Excel(name = "昨日赠款消耗                     ", width = 15)
    @ApiModelProperty(value = "昨日赠款消耗                     ")
	private java.math.BigDecimal yesterdayGrantsCost;
	/**昨日与前日环比                   */
	@Excel(name = "昨日与前日环比                   ", width = 15)
    @ApiModelProperty(value = "昨日与前日环比                   ")
	private java.math.BigDecimal yesterdayMomCost;
	/**昨日与前日差值                   */
	@Excel(name = "昨日与前日差值                   ", width = 15)
    @ApiModelProperty(value = "昨日与前日差值                   ")
	private java.math.BigDecimal yesterdayCostDiff;
	/**历史总消耗                       */
	@Excel(name = "历史总消耗                       ", width = 15)
    @ApiModelProperty(value = "历史总消耗                       ")
	private java.math.BigDecimal historyCost;
	/**历史现金总消耗                   */
	@Excel(name = "历史现金总消耗                   ", width = 15)
    @ApiModelProperty(value = "历史现金总消耗                   ")
	private java.math.BigDecimal historyCashCost;
	/**昨日有消耗计划数                 */
	@Excel(name = "昨日有消耗计划数                 ", width = 15)
    @ApiModelProperty(value = "昨日有消耗计划数                 ")
	private java.math.BigDecimal yesterdayAdNumber;
	/**广告主开户天数                   */
	@Excel(name = "广告主开户天数                   ", width = 15)
    @ApiModelProperty(value = "广告主开户天数                   ")
	private java.math.BigDecimal registerDays;
	/**首充金额                         */
	@Excel(name = "首充金额                         ", width = 15)
    @ApiModelProperty(value = "首充金额                         ")
	private java.math.BigDecimal firstRechargeAmount;
	/**首次充值时间                     */
	@Excel(name = "首次充值时间                     ", width = 15)
    @ApiModelProperty(value = "首次充值时间                     ")
	private java.lang.String firstRechargeTime;
	/**最近续费时间                     */
	@Excel(name = "最近续费时间                     ", width = 15)
    @ApiModelProperty(value = "最近续费时间                     ")
	private java.lang.String lastRenewTime;
	/**历史续费总金额                   */
	@Excel(name = "历史续费总金额                   ", width = 15)
    @ApiModelProperty(value = "历史续费总金额                   ")
	private java.math.BigDecimal totalRenewAmount;
	/**历史续费总次数                   */
	@Excel(name = "历史续费总次数                   ", width = 15)
    @ApiModelProperty(value = "历史续费总次数                   ")
	private java.math.BigDecimal totalRenewNumber;
	/**现金余额                         */
	@Excel(name = "现金余额                         ", width = 15)
    @ApiModelProperty(value = "现金余额                         ")
	private java.math.BigDecimal cashBalance;
	/**赠款余额                         */
	@Excel(name = "赠款余额                         ", width = 15)
    @ApiModelProperty(value = "赠款余额                         ")
	private java.math.BigDecimal rantBalance;
	/**最近转账时间                     */
	@Excel(name = "最近转账时间                     ", width = 15)
    @ApiModelProperty(value = "最近转账时间                     ")
	private java.lang.String lastRechargeTime;
	/**最近转账金额                     */
	@Excel(name = "最近转账金额                     ", width = 15)
    @ApiModelProperty(value = "最近转账金额                     ")
	private java.math.BigDecimal lastRenewAmount;
	/**最近三个有消耗日广告主日均消耗   */
	@TableField(value = "arpu_3cd")
	@Excel(name = "最近三个有消耗日广告主日均消耗   ", width = 15)
    @ApiModelProperty(value = "最近三个有消耗日广告主日均消耗   ")
	private java.math.BigDecimal arpu3cd;
	/**总余额                           */
	@Excel(name = "总余额                           ", width = 15)
    @ApiModelProperty(value = "总余额                           ")
	private java.math.BigDecimal totalBalance;
	/**总可用余额                       */
	@Excel(name = "总可用余额                       ", width = 15)
    @ApiModelProperty(value = "总可用余额                       ")
	private java.math.BigDecimal validBalance;
	/**业务线                           */
	@Excel(name = "业务线                           ", width = 15)
    @ApiModelProperty(value = "业务线                           ")
	private java.lang.String customerType;
	/**首消时间                         */
	@Excel(name = "首消时间                         ", width = 15)
    @ApiModelProperty(value = "首消时间                         ")
	private java.lang.String firstCostTime;
}
