package cn.com.ctop.job.bytedance.data.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 获取定向包
 * @author jeecg-boot
 * @date   2021-10-21
 * @version V1.0
 */
@Data
@TableName("bytedance_campaign_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="bytedance_campaign_get对象", description="获取定向包")
public class BytedanceCampaignGet {
    
	/**广告主id*/
	@TableField(value = "advertiser_id")
	@Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
	private Long advertiserId;

	/**广告组id*/
	@TableField(value = "campaign_id")
	@Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告组id")
	private Long campaignId;

	/**广告组名称*/
	@TableField(value = "campaign_name")
	@Excel(name = "广告组名称", width = 15)
    @ApiModelProperty(value = "广告组名称")
	private java.lang.String campaignName;
	/**广告组预算*/
	@Excel(name = "广告组预算", width = 15)
    @ApiModelProperty(value = "广告组预算")
	private java.lang.Integer budget;
	/**广告组预算类型*/
	@Excel(name = "广告组预算类型", width = 15)
    @ApiModelProperty(value = "广告组预算类型")
	private java.lang.String budgetMode;
	/**广告组时间戳*/
	@Excel(name = "广告组时间戳", width = 15)
    @ApiModelProperty(value = "广告组时间戳")
	private java.lang.String modifyTime;
	/**广告组状态*/
	@Excel(name = "广告组状态", width = 15)
    @ApiModelProperty(value = "广告组状态")
	private java.lang.String status;
	/**广告组创建时间*/
	@Excel(name = "广告组创建时间", width = 15)
    @ApiModelProperty(value = "广告组创建时间")
	private java.lang.String campaignCreateTime;
	/**广告组修改时间*/
	@Excel(name = "广告组修改时间", width = 15)
    @ApiModelProperty(value = "广告组修改时间")
	private java.lang.String campaignModifyTime;
	/**营销目的*/
	@Excel(name = "营销目的", width = 15)
    @ApiModelProperty(value = "营销目的")
	private java.lang.String marketingPurpose;
	/**广告组商品类型*/
	@Excel(name = "广告组商品类型", width = 15)
    @ApiModelProperty(value = "广告组商品类型")
	private java.lang.String deliveryRelatedNum;
	/**投放类型*/
	@Excel(name = "投放类型", width = 15)
    @ApiModelProperty(value = "投放类型")
	private java.lang.String deliveryMode;
	/**landingType*/
	@Excel(name = "landingType", width = 15)
    @ApiModelProperty(value = "landingType")
	private java.lang.String landingType;
}
