package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 获取定向包
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-22
 */
@Data
@TableName("bytedance_creative_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_creative_get对象", description = "获取定向包")
public class BytedanceCreativeGet {

    /**
     * 创意ID
     */
    @Excel(name = "创意ID              ", width = 15)
    @ApiModelProperty(value = "创意ID              ")
    private Long creativeId;
    /**
     * 广告计划ID
     */
    @Excel(name = "广告计划ID          ", width = 15)
    @ApiModelProperty(value = "广告计划ID          ")
    private Long adId;
    /**
     * 广告主ID
     */
    @Excel(name = "广告主ID            ", width = 15)
    @ApiModelProperty(value = "广告主ID            ")
    private Long advertiserId;
    /**
     * 创意素材标题
     */
    @Excel(name = "创意素材标题        ", width = 15)
    @ApiModelProperty(value = "创意素材标题        ")
    private java.lang.String title;
    /**
     * 动态词包列表
     */
    @Excel(name = "动态词包列表        ", width = 15)
    @ApiModelProperty(value = "动态词包列表        ")
    private java.lang.String creativeWordIds;
    /**
     * 创意素材状态
     */
    @Excel(name = "创意素材状态        ", width = 15)
    @ApiModelProperty(value = "创意素材状态        ")
    private java.lang.String status;
    /**
     * 创意素材操作状态
     */
    @Excel(name = "创意素材操作状态    ", width = 15)
    @ApiModelProperty(value = "创意素材操作状态    ")
    private java.lang.String optStatus;
    /**
     * 创意素材类型
     */
    @Excel(name = "创意素材类型        ", width = 15)
    @ApiModelProperty(value = "创意素材类型        ")
    private java.lang.String imageMode;
    /**
     * 图片素材，图片ID列表
     */
    @Excel(name = "图片素材，图片ID列表", width = 15)
    @ApiModelProperty(value = "图片素材，图片ID列表")
    private java.lang.String imageIds;
    /**
     * 视频素材，封面图片ID
     */
    @Excel(name = "视频素材，封面图片ID", width = 15)
    @ApiModelProperty(value = "视频素材，封面图片ID")
    private java.lang.String imageId;
    /**
     * 视频素材，视频ID
     */
    @Excel(name = "视频素材，视频ID    ", width = 15)
    @ApiModelProperty(value = "视频素材，视频ID    ")
    private java.lang.String videoId;
    /**
     * 第三方ID
     */
    @Excel(name = "第三方ID            ", width = 15)
    @ApiModelProperty(value = "第三方ID            ")
    private java.lang.String thirdPartyId;
    /**
     * 素材信息列表
     */
    @Excel(name = "素材信息列表        ", width = 15)
    @ApiModelProperty(value = "素材信息列表        ")
    private java.lang.String metarials;
    /**
     * 广告创意创建时间
     */
    @Excel(name = "广告创意创建时间    ", width = 15)
    @ApiModelProperty(value = "广告创意创建时间    ")
    private java.lang.String creativeCreateTime;
    /**
     * 广告创意更新时间
     */
    @Excel(name = "广告创意更新时间    ", width = 15)
    @ApiModelProperty(value = "广告创意更新时间    ")
    private java.lang.String creativeModifyTime;
}
