package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条图片素材
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-22
 */
@Data
@TableName("bytedance_file_image_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_file_image_get对象", description = "头条图片素材")
public class BytedanceFileImageGet {

    /**
     * 广告主ID
     */
    @Excel(name = "广告主ID      ", width = 15)
    @ApiModelProperty(value = "广告主ID      ")
    private Long advertiserId;
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 素材id
     */
    @Excel(name = "素材id        ", width = 15)
    @ApiModelProperty(value = "素材id        ")
    private Long materialId;
    /**
     * 图片大小
     */
    @Excel(name = "图片大小      ", width = 15)
    @ApiModelProperty(value = "图片大小      ")
    private java.lang.Integer size;
    /**
     * 图片宽度
     */
    @Excel(name = "图片宽度      ", width = 15)
    @ApiModelProperty(value = "图片宽度      ")
    private java.lang.Integer width;
    /**
     * 图片高度
     */
    @Excel(name = "图片高度      ", width = 15)
    @ApiModelProperty(value = "图片高度      ")
    private java.lang.Integer height;
    /**
     * url
     */
    @Excel(name = "url", width = 15)
    @ApiModelProperty(value = "url")
    private java.lang.String url;
    /**
     * 图片格式
     */
    @Excel(name = "图片格式      ", width = 15)
    @ApiModelProperty(value = "图片格式      ")
    private java.lang.String format;
    /**
     * 图片md5
     */
    @Excel(name = "图片md5       ", width = 15)
    @ApiModelProperty(value = "图片md5       ")
    private java.lang.String signature;
    /**
     * 素材的上传时间
     */
    @Excel(name = "素材的上传时间", width = 15)
    @ApiModelProperty(value = "素材的上传时间")
    private java.lang.String createTime;
    /**
     * 素材的文件名
     */
    @Excel(name = "素材的文件名  ", width = 15)
    @ApiModelProperty(value = "素材的文件名  ")
    private java.lang.String filename;
    /**
     * imageUrl
     */
    @Excel(name = "imageUrl", width = 15)
    @ApiModelProperty(value = "imageUrl")
    private java.lang.String imageUrl;
}
