package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条-视频素材
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-22
 */
@Data
@TableName("bytedance_file_video_get")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_file_video_get对象", description = "头条-视频素材")
public class BytedanceFileVideoGet {

    /**
     * 广告主ID
     */
    @Excel(name = "广告主ID       ", width = 15)
    @ApiModelProperty(value = "广告主ID       ")
    private Long advertiserId;
    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 视频大小
     */
    @Excel(name = "视频大小       ", width = 15)
    @ApiModelProperty(value = "视频大小       ")
    private java.lang.Integer size;
    /**
     * 视频宽度
     */
    @Excel(name = "视频宽度       ", width = 15)
    @ApiModelProperty(value = "视频宽度       ")
    private java.lang.Integer width;
    /**
     * 视频高度
     */
    @Excel(name = "视频高度       ", width = 15)
    @ApiModelProperty(value = "视频高度       ")
    private java.lang.Integer height;
    /**
     * 视频地址
     */
    @Excel(name = "视频地址       ", width = 15)
    @ApiModelProperty(value = "视频地址       ")
    private java.lang.String url;
    /**
     * 视频格式
     */
    @Excel(name = "视频格式       ", width = 15)
    @ApiModelProperty(value = "视频格式       ")
    private java.lang.String format;
    /**
     * 视频md5值
     */
    @Excel(name = "视频md5值      ", width = 15)
    @ApiModelProperty(value = "视频md5值      ")
    private java.lang.String signature;
    /**
     * 视频首帧截图
     */
    @Excel(name = "视频首帧截图   ", width = 15)
    @ApiModelProperty(value = "视频首帧截图   ")
    private java.lang.String posterUrl;
    /**
     * 码率
     */
    @Excel(name = "码率           ", width = 15)
    @ApiModelProperty(value = "码率           ")
    private java.lang.Integer bitRate;
    /**
     * 视频时长
     */
    @Excel(name = "视频时长       ", width = 15)
    @ApiModelProperty(value = "视频时长       ")
    private java.lang.Integer duration;
    /**
     * 素材id
     */
    @Excel(name = "素材id         ", width = 15)
    @ApiModelProperty(value = "素材id         ")
    private String materialId;
    /**
     * 素材来源
     */
    @Excel(name = "素材来源       ", width = 15)
    @ApiModelProperty(value = "素材来源       ")
    private java.lang.String source;
    /**
     * 素材的上传时间
     */
    @Excel(name = "素材的上传时间 ", width = 15)
    @ApiModelProperty(value = "素材的上传时间 ")
    private java.lang.String createTime;
    /**
     * filename
     */
    @Excel(name = "filename", width = 15)
    @ApiModelProperty(value = "filename")
    private java.lang.String filename;
    /**
     * 视频标签
     */
    @Excel(name = "视频标签       ", width = 15)
    @ApiModelProperty(value = "视频标签       ")
    private java.lang.String labels;
    /**
     * videoUrl
     */
    @Excel(name = "videoUrl", width = 15)
    @ApiModelProperty(value = "videoUrl")
    private java.lang.String videoUrl;
}
