package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;


/**
 * 图片与视频素材日报
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-25
 */
@Data
@TableName("bytedance_material_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_material_report_daily对象", description = "图片与视频素材日报")
public class BytedanceMaterialReportDaily {

    /**
     * 广告主ID
     */
    @Excel(name = "广告主ID    ", width = 15)
    @ApiModelProperty(value = "广告主ID    ")
    private Long advertiserId;
    /**
     * 素材id
     */
    @Excel(name = "素材id", width = 15)
    @ApiModelProperty(value = "素材id")
    private Long materialId;
    /**
     * 素材类型
     */
    @Excel(name = "素材类型", width = 15)
    @ApiModelProperty(value = "素材类型")
    private java.lang.String imageMode;
    /**
     * 广告位
     */
    @Excel(name = "广告位", width = 15)
    @ApiModelProperty(value = "广告位")
    private java.lang.String inventory;
    /**
     * 数据起始时间
     */
    @Excel(name = "数据起始时间", width = 15)
    @ApiModelProperty(value = "数据起始时间")
    private String statDatetime;
    /**
     * 展现数据-总花费
     */
    @Excel(name = "展现数据-总花费 ", width = 15)
    @ApiModelProperty(value = "展现数据-总花费 ")
    private java.math.BigDecimal cost;
    /**
     * 展现数据-展示数
     */
    @TableField("`show`")
    @Excel(name = "展现数据-展示数 ", width = 15)
    @ApiModelProperty(value = "展现数据-展示数 ")
    private java.lang.Integer show;
    /**
     * 展现数据-平均千次展现费用
     */
    @Excel(name = "展现数据-平均千次展现费用 ", width = 15)
    @ApiModelProperty(value = "展现数据-平均千次展现费用")
    private java.math.BigDecimal avgShowCost;
    /**
     * 展现数据-点击数
     */
    @Excel(name = "展现数据-点击数 ", width = 15)
    @ApiModelProperty(value = "展现数据-点击数 ")
    private java.lang.Integer click;
    /**
     * 展现数据-平均点击单价
     */
    @Excel(name = "展现数据-平均点击单价 ", width = 15)
    @ApiModelProperty(value = "展现数据-平均点击单价 ")
    private java.math.BigDecimal avgClickCost;
    /**
     * 展现数据-点击率
     */
    @Excel(name = "展现数据-点击率 ", width = 15)
    @ApiModelProperty(value = "展现数据-点击率 ")
    private java.math.BigDecimal ctr;
    /**
     * 转化数据-转化数
     */
    @TableField(value = "`convert`")
    @Excel(name = "转化数据-转化数 ", width = 15)
    @ApiModelProperty(value = "转化数据-转化数 ")
    private java.lang.Integer convert;
    /**
     * 转化数据-转化成本
     */
    @Excel(name = "转化数据-转化成本 ", width = 15)
    @ApiModelProperty(value = "转化数据-转化成本 ")
    private java.math.BigDecimal convertCost;
    /**
     * 转化数据-转化率
     */
    @Excel(name = "转化数据-转化率 ", width = 15)
    @ApiModelProperty(value = "转化数据-转化率 ")
    private java.math.BigDecimal convertRate;
    /**
     * 转化数据-深度转化数
     */
    @Excel(name = "转化数据-深度转化数 ", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化数 ")
    private java.lang.Integer deepConvert;
    /**
     * 转化数据-深度转化成本
     */
    @Excel(name = "转化数据-深度转化成本 ", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化成本 ")
    private java.math.BigDecimal deepConvertCost;
    /**
     * 转化数据-深度转化率
     */
    @Excel(name = "转化数据-深度转化率 ", width = 15)
    @ApiModelProperty(value = "转化数据-深度转化率 ")
    private java.math.BigDecimal deepConvertRate;
    /**
     * 转化数据（计费时间）-转化数（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-转化数（计费时间） ", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-转化数（计费时间） ")
    private java.lang.Integer attributionConvert;
    /**
     * 转化数据（计费时间）-转化成本（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-转化成本（计费时间） ", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-转化成本（计费时间） ")
    private java.math.BigDecimal attributionConvertCost;
    /**
     * 转化数据（计费时间）-深度转化数（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-深度转化数（计费时间）", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-深度转化数（计费时间） ")
    private java.lang.Integer attributionDeepConvert;
    /**
     * 转化数据（计费时间）-深度转化成本（计费时间）
     */
    @Excel(name = "转化数据（计费时间）-深度转化成本（计费时间） ", width = 15)
    @ApiModelProperty(value = "转化数据（计费时间）-深度转化成本（计费时间） ")
    private java.math.BigDecimal attributionDeepConvertCost;
    /**
     * 应用下载广告数据-安卓下载开始数
     */
    @Excel(name = "应用下载广告数据-安卓下载开始数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始数 ")
    private java.lang.Integer downloadStart;
    /**
     * 应用下载广告数据-安卓下载开始成本
     */
    @Excel(name = "应用下载广告数据-安卓下载开始成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始成本 ")
    private java.math.BigDecimal downloadStartCost;
    /**
     * 应用下载广告数据-安卓下载开始率
     */
    @Excel(name = "应用下载广告数据-安卓下载开始率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始率 ")
    private java.math.BigDecimal downloadStartRate;
    /**
     * 应用下载广告数据-安卓下载完成数
     */
    @Excel(name = "应用下载广告数据-安卓下载完成数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成数 ")
    private java.lang.Integer downloadFinish;
    /**
     * 应用下载广告数据-安卓下载完成成本
     */
    @Excel(name = "应用下载广告数据-安卓下载完成成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成成本 ")
    private java.math.BigDecimal downloadFinishCost;
    /**
     * 应用下载广告数据-安卓下载完成率
     */
    @Excel(name = "应用下载广告数据-安卓下载完成率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成率 ")
    private java.math.BigDecimal downloadFinishRate;
    /**
     * 应用下载广告数据-点击安装数
     */
    @Excel(name = "应用下载广告数据-点击安装数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-点击安装数 ")
    private java.lang.Integer clickInstall;
    /**
     * 应用下载广告数据-安卓安装完成数
     */
    @Excel(name = "应用下载广告数据-安卓安装完成数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成数 ")
    private java.lang.Integer installFinish;
    /**
     * 应用下载广告数据-安卓安装完成成本
     */
    @Excel(name = "应用下载广告数据-安卓安装完成成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成成本 ")
    private java.math.BigDecimal installFinishCost;
    /**
     * 应用下载广告数据-安卓安装完成率
     */
    @Excel(name = "应用下载广告数据-安卓安装完成率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成率 ")
    private java.math.BigDecimal installFinishRate;
    /**
     * 应用下载广告数据-激活数
     */
    @Excel(name = "应用下载广告数据-激活数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活数")
    private java.lang.Integer active;
    /**
     * 应用下载广告数据-激活成本
     */
    @Excel(name = "应用下载广告数据-激活成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活成本 ")
    private java.math.BigDecimal activeCost;
    /**
     * 应用下载广告数据-激活率
     */
    @Excel(name = "应用下载广告数据-激活率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-激活率 ")
    private java.math.BigDecimal activeRate;
    /**
     * 应用下载广告数据-注册数
     */
    @Excel(name = "应用下载广告数据-注册数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册数 ")
    private java.lang.Integer register;
    /**
     * 应用下载广告数据-注册成本
     */
    @Excel(name = "应用下载广告数据-注册成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册成本 ")
    private java.math.BigDecimal activeRegisterCost;
    /**
     * 应用下载广告数据-注册率
     */
    @Excel(name = "应用下载广告数据-注册率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-注册率 ")
    private java.math.BigDecimal activeRegisterRate;
    /**
     * 应用下载广告数据-支付金额
     */
    @Excel(name = "应用下载广告数据-支付金额 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-支付金额 ")
    private java.math.BigDecimal activePayAmount;
    /**
     * 应用下载广告数据-次留回传数（未对回）
     */
    @Excel(name = "应用下载广告数据-次留回传数（未对回） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留回传数（未对回） ")
    private java.lang.Integer nextDayOpen;
    /**
     * 应用下载广告数据-次留成本（未对回）
     */
    @Excel(name = "应用下载广告数据-次留成本（未对回） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留成本（未对回） ")
    private java.math.BigDecimal nextDayOpenCost;
    /**
     * 应用下载广告数据-次留率（未对回）
     */
    @Excel(name = "应用下载广告数据-次留率（未对回） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留率（未对回） ")
    private java.math.BigDecimal nextDayOpenRate;
    /**
     * 应用下载广告数据-次留数
     */
    @Excel(name = "应用下载广告数据-次留数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留数 ")
    private java.lang.Integer attributionNextDayOpenCnt;
    /**
     * 应用下载广告数据-次留成本
     */
    @Excel(name = "应用下载广告数据-次留成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留成本 ")
    private java.math.BigDecimal attributionNextDayOpenCost;
    /**
     * 应用下载广告数据-次留率
     */
    @Excel(name = "应用下载广告数据-次留率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-次留率 ")
    private java.math.BigDecimal attributionNextDayOpenRate;
    /**
     * 应用下载广告数据-关键行为数
     */
    @Excel(name = "应用下载广告数据-关键行为数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为数")
    private java.lang.Integer gameAddiction;
    /**
     * 应用下载广告数据-关键行为成本
     */
    @Excel(name = "应用下载广告数据-关键行为成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为成本 ")
    private java.math.BigDecimal gameAddictionCost;
    /**
     * 应用下载广告数据-关键行为率
     */
    @Excel(name = "应用下载广告数据-关键行为率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-关键行为率 ")
    private java.math.BigDecimal gameAddictionRate;
    /**
     * 应用下载广告数据-首次付费次数
     */
    @Excel(name = "应用下载广告数据-首次付费次数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-首次付费次数 ")
    private java.lang.Integer payCount;
    /**
     * 应用下载广告数据-首次付费成本
     */
    @Excel(name = "应用下载广告数据-首次付费成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-首次付费成本 ")
    private java.math.BigDecimal activePayCost;
    /**
     * 应用下载广告数据-首次付费率
     */
    @Excel(name = "应用下载广告数据-首次付费率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-首次付费率 ")
    private java.math.BigDecimal activePayRate;
    /**
     * 应用下载广告数据-完件数
     */
    @Excel(name = "应用下载广告数据-完件数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件数 ")
    private java.lang.Integer loanCompletion;
    /**
     * 应用下载广告数据-完件成本
     */
    @Excel(name = "应用下载广告数据-完件成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件成本 ")
    private java.math.BigDecimal loanCompletionCost;
    /**
     * 应用下载广告数据-完件率
     */
    @Excel(name = "应用下载广告数据-完件率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-完件率 ")
    private java.math.BigDecimal loanCompletionRate;
    /**
     * 应用下载广告数据-预授信数
     */
    @Excel(name = "应用下载广告数据-预授信数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-预授信数")
    private java.lang.Integer preLoanCredit;
    /**
     * 应用下载广告数据-预授信成本
     */
    @Excel(name = "应用下载广告数据-预授信成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-预授信成本 ")
    private java.math.BigDecimal preLoanCreditCost;
    /**
     * 应用下载广告数据-授信数
     */
    @Excel(name = "应用下载广告数据-授信数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信数 ")
    private java.lang.Integer loanCredit;
    /**
     * 应用下载广告数据-授信成本
     */
    @Excel(name = "应用下载广告数据-授信成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信成本 ")
    private java.math.BigDecimal loanCreditCost;
    /**
     * 应用下载广告数据-授信率
     */
    @Excel(name = "应用下载广告数据-授信率 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-授信率 ")
    private java.math.BigDecimal loanCreditRate;
    /**
     * 应用下载广告数据-APP内访问
     */
    @Excel(name = "应用下载广告数据-APP内访问 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内访问 ")
    private java.lang.Integer inAppUv;
    /**
     * 应用下载广告数据-APP内访问详情页
     */
    @Excel(name = "应用下载广告数据-APP内访问详情页 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内访问详情页 ")
    private java.lang.Integer inAppDetailUv;
    /**
     * 应用下载广告数据-APP内加入购物车
     */
    @Excel(name = "应用下载广告数据-APP内加入购物车 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内加入购物车 ")
    private java.lang.Integer inAppCart;
    /**
     * 应用下载广告数据-APP内付费
     */
    @Excel(name = "应用下载广告数据-APP内付费 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内付费 ")
    private java.lang.Integer inAppPay;
    /**
     * 应用下载广告数据-APP内下单
     */
    @Excel(name = "应用下载广告数据-APP内下单 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-APP内下单 ")
    private java.lang.Integer inAppOrder;
    /**
     * 应用下载广告数据-7日付费次数（激活时间）
     */
    @TableField(value = "attribution_game_pay_7d_count")
    @Excel(name = "应用下载广告数据-7日付费次数（激活时间） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日付费次数（激活时间） ")
    private java.lang.Integer attributionGamePay7dCount;
    /**
     * 应用下载广告数据-7日付费成本（激活时间）
     */
    @TableField(value = "attribution_game_pay_7d_cost")
    @Excel(name = "应用下载广告数据-7日付费成本（激活时间） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日付费成本（激活时间） ")
    private java.math.BigDecimal attributionGamePay7dCost;
    /**
     * 应用下载广告数据-7日人均付费次数（激活时间）
     */
    @TableField(value = "attribution_active_pay_7d_per_count")
    @Excel(name = "应用下载广告数据-7日人均付费次数（激活时间） ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-7日人均付费次数（激活时间） ")
    private java.lang.Integer attributionActivePay7dPerCount;
    /**
     * 应用下载广告数据-付费成本
     */
    @Excel(name = "应用下载广告数据-付费成本 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费成本 ")
    private java.lang.Integer gamePayCost;
    /**
     * 应用下载广告数据-付费次数
     */
    @Excel(name = "应用下载广告数据-付费次数 ", width = 15)
    @ApiModelProperty(value = "应用下载广告数据-付费次数 ")
    private java.lang.Integer gamePayCount;
    /**
     * 落地页转化数据-点击电话按钮
     */
    @Excel(name = "落地页转化数据-点击电话按钮 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-点击电话按钮 ")
    private java.lang.Integer phone;
    /**
     * 落地页转化数据-表单提交
     */
    @Excel(name = "落地页转化数据-表单提交 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-表单提交 ")
    private java.lang.Integer form;
    /**
     * 落地页转化数据-地图搜索
     */
    @Excel(name = "落地页转化数据-地图搜索 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-地图搜索 ")
    private java.lang.Integer mapSearch;
    /**
     * 落地页转化数据-按钮button
     */
    @Excel(name = "落地页转化数据-按钮button ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-按钮button ")
    private java.lang.Integer button;
    /**
     * 落地页转化数据-关键页面浏览
     */
    @TableField("`view`")
    @Excel(name = "落地页转化数据-关键页面浏览 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-关键页面浏览 ")
    private java.lang.Integer view;
    /**
     * 落地页转化数据-下载开始
     */
    @Excel(name = "落地页转化数据-下载开始 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-下载开始 ")
    private java.lang.Integer download;
    /**
     * 落地页转化数据-QQ咨询
     */
    @Excel(name = "落地页转化数据-QQ咨询 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-QQ咨询 ")
    private java.lang.Integer qq;
    /**
     * 落地页转化数据-抽奖
     */
    @Excel(name = "落地页转化数据-抽奖 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-抽奖 ")
    private java.lang.Integer lottery;
    /**
     * 落地页转化数据-投票
     */
    @Excel(name = "落地页转化数据-投票 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-投票 ")
    private java.lang.Integer vote;
    /**
     * 落地页转化数据-短信咨询
     */
    @Excel(name = "落地页转化数据-短信咨询 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-短信咨询 ")
    private java.lang.Integer message;
    /**
     * 落地页转化数据-页面跳转
     */
    @Excel(name = "落地页转化数据-页面跳转 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-页面跳转 ")
    private java.lang.Integer redirect;
    /**
     * 落地页转化数据-商品购买
     */
    @Excel(name = "落地页转化数据-商品购买 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-商品购买 ")
    private java.lang.Integer shopping;
    /**
     * 落地页转化数据-在线咨询
     */
    @Excel(name = "落地页转化数据-在线咨询 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-在线咨询 ")
    private java.lang.Integer consult;
    /**
     * 落地页转化数据-微信复制
     */
    @Excel(name = "落地页转化数据-微信复制 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-微信复制 ")
    private java.lang.Integer wechat;
    /**
     * 落地页转化数据-智能电话-确认拨打
     */
    @Excel(name = "落地页转化数据-智能电话-确认拨打 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-智能电话-确认拨打 ")
    private java.lang.Integer phoneConfirm;
    /**
     * 落地页转化数据-智能电话-确认接通
     */
    @Excel(name = "落地页转化数据-智能电话-确认接通 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-智能电话-确认接通 ")
    private java.lang.Integer phoneConnect;
    /**
     * 落地页转化数据-有效咨询
     */
    @Excel(name = "落地页转化数据-有效咨询 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-有效咨询 ")
    private java.lang.Integer consultEffective;
    /**
     * 落地页转化数据-建站卡券领取
     */
    @Excel(name = "落地页转化数据-建站卡券领取 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-建站卡券领取 ")
    private java.lang.Integer coupon;
    /**
     * 落地页转化数据-卡券页领取
     */
    @Excel(name = "落地页转化数据-卡券页领取 ", width = 15)
    @ApiModelProperty(value = "落地页转化数据-卡券页领取 ")
    private java.lang.Integer couponSinglePage;
    /**
     * 落地页及门店数据-调起店铺
     */
    @Excel(name = "落地页及门店数据-调起店铺 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-调起店铺 ")
    private java.lang.Integer redirectToShop;
    /**
     * 落地页及门店数据-店铺收藏
     */
    @Excel(name = "落地页及门店数据-店铺收藏 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-店铺收藏 ")
    private java.lang.Integer poiCollect;
    /**
     * 落地页及门店数据-查看店铺地址
     */
    @Excel(name = "落地页及门店数据-查看店铺地址 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-查看店铺地址 ")
    private java.lang.Integer poiAddressClick;
    /**
     * 落地页及门店数据-鲁班订单量
     */
    @Excel(name = "落地页及门店数据-鲁班订单量 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班订单量 ")
    private java.lang.Integer lubanOrderCnt;
    /**
     * 落地页及门店数据-鲁班订单金额
     */
    @Excel(name = "落地页及门店数据-鲁班订单金额 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班订单金额 ")
    private java.math.BigDecimal lubanOrderStatAmount;
    /**
     * 落地页及门店数据-鲁班ROI
     */
    @Excel(name = "落地页及门店数据-鲁班ROI ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-鲁班ROI ")
    private java.math.BigDecimal lubanOrderRoi;
    /**
     * 落地页及门店数据-直播间观看数
     */
    @Excel(name = "落地页及门店数据-直播间观看数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间观看数 ")
    private java.lang.Integer lubanLiveEnterCnt;
    /**
     * 落地页及门店数据-直播间超过1分钟观看数
     */
    @Excel(name = "落地页及门店数据-直播间超过1分钟观看数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间超过1分钟观看数 ")
    private java.lang.Integer liveWatchOneMinuteCount;
    /**
     * 落地页及门店数据-直播间关注数
     */
    @Excel(name = "落地页及门店数据-直播间关注数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间关注数 ")
    private java.lang.Integer lubanLiveFollowCnt;
    /**
     * 落地页及门店数据-直播间加入粉丝团
     */
    @Excel(name = "落地页及门店数据-直播间加入粉丝团 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间加入粉丝团 ")
    private java.lang.Integer liveFansClubJoinCnt;
    /**
     * 落地页及门店数据-直播间评论数
     */
    @Excel(name = "落地页及门店数据-直播间评论数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间评论数 ")
    private java.lang.Integer lubanLiveCommentCnt;
    /**
     * 落地页及门店数据-直播间分享数
     */
    @Excel(name = "落地页及门店数据-直播间分享数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间分享数 ")
    private java.lang.Integer lubanLiveShareCnt;
    /**
     * 落地页及门店数据-直播间打赏次数
     */
    @Excel(name = "落地页及门店数据-直播间打赏次数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间打赏次数 ")
    private java.lang.Integer lubanLiveGiftCnt;
    /**
     * 落地页及门店数据-直播间礼物总金额
     */
    @Excel(name = "落地页及门店数据-直播间礼物总金额 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间礼物总金额 ")
    private java.math.BigDecimal lubanLiveGiftAmount;
    /**
     * 落地页及门店数据-直播间查看购物车数
     */
    @Excel(name = "落地页及门店数据-直播间查看购物车数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间查看购物车数 ")
    private java.lang.Integer lubanLiveSlidecartClickCnt;
    /**
     * 落地页及门店数据-直播间点击商品数
     */
    @Excel(name = "落地页及门店数据-直播间点击商品数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间点击商品数 ")
    private java.lang.Integer lubanLiveClickProductCnt;
    /**
     * 落地页及门店数据-直播间订单量
     */
    @Excel(name = "落地页及门店数据-直播间订单量 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间订单量 ")
    private java.lang.Integer lubanLivePayOrderCount;
    /**
     * 落地页及门店数据-直播间订单金额
     */
    @Excel(name = "落地页及门店数据-直播间订单金额 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-直播间订单金额 ")
    private java.math.BigDecimal lubanLivePayOrderStatCost;
    /**
     * 落地页及门店数据-微信内注册数
     */
    @Excel(name = "落地页及门店数据-微信内注册数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册数 ")
    private java.lang.Integer wechatLoginCount;
    /**
     * 落地页及门店数据-微信内注册数(计费时间)
     */
    @TableField(value = "attribution_wechat_login_30d_count")
    @Excel(name = "落地页及门店数据-微信内注册数(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册数(计费时间) ")
    private java.lang.Integer attributionWechatLogin30dCount;
    /**
     * 落地页及门店数据-微信内注册成本
     */
    @Excel(name = "落地页及门店数据-微信内注册成本 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册成本 ")
    private java.math.BigDecimal wechatLoginCost;
    /**
     * 落地页及门店数据-微信内注册成本(计费时间)
     */
    @TableField(value = "attribution_wechat_login_30d_cost")
    @Excel(name = "落地页及门店数据-微信内注册成本(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内注册成本(计费时间) ")
    private java.math.BigDecimal attributionWechatLogin30dCost;
    /**
     * 落地页及门店数据-微信内首次付费数
     */
    @Excel(name = "落地页及门店数据-微信内首次付费数 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费数 ")
    private java.lang.Integer wechatFirstPayCount;
    /**
     * 落地页及门店数据-微信内首次付费数(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_count")
    @Excel(name = "落地页及门店数据-微信内首次付费数(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费数(计费时间) ")
    private java.lang.Integer attributionWechatFirstPay30dCount;
    /**
     * 落地页及门店数据-微信内首次付费成本
     */
    @Excel(name = "落地页及门店数据-微信内首次付费成本 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费成本 ")
    private java.math.BigDecimal wechatFirstPayCost;
    /**
     * 落地页及门店数据-微信内首次付费成本(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_cost")
    @Excel(name = "落地页及门店数据-微信内首次付费成本(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费成本(计费时间) ")
    private java.math.BigDecimal attributionWechatFirstPay30dCost;
    /**
     * 落地页及门店数据-微信内首次付费率
     */
    @Excel(name = "落地页及门店数据-微信内首次付费率 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费率 ")
    private java.math.BigDecimal wechatFirstPayRate;
    /**
     * 落地页及门店数据-微信内首次付费率(计费时间)
     */
    @TableField(value = "attribution_wechat_first_pay_30d_rate")
    @Excel(name = "落地页及门店数据-微信内首次付费率(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费率(计费时间) ")
    private java.math.BigDecimal attributionWechatFirstPay30dRate;
    /**
     * 落地页及门店数据-微信内首次付费金额
     */
    @Excel(name = "落地页及门店数据-微信内首次付费金额 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费金额 ")
    private java.math.BigDecimal wechatPayAmount;
    /**
     * 落地页及门店数据-微信内首次付费金额(计费时间)
     */
    @TableField(value = "attribution_wechat_pay_30d_amount")
    @Excel(name = "落地页及门店数据-微信内首次付费金额(计费时间) ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费金额(计费时间) ")
    private java.math.BigDecimal attributionWechatPay30dAmount;
    /**
     * 落地页及门店数据-微信内首次付费ROI
     */
    @TableField(value = "attribution_wechat_pay_30d_roi")
    @Excel(name = "落地页及门店数据-微信内首次付费ROI ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-微信内首次付费ROI ")
    private java.math.BigDecimal attributionWechatPay30dRoi;
    /**
     * 落地页及门店数据-智能电话-有效接通
     */
    @Excel(name = "落地页及门店数据-智能电话-有效接通 ", width = 15)
    @ApiModelProperty(value = "落地页及门店数据-智能电话-有效接通 ")
    private java.lang.Integer phoneEffective;
    /**
     * 视频数据-播放数
     */
    @Excel(name = "视频数据-播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-播放数 ")
    private java.lang.Integer totalPlay;
    /**
     * 视频数据-有效播放数
     */
    @Excel(name = "视频数据-有效播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放数 ")
    private java.lang.Integer validPlay;
    /**
     * 视频数据-有效播放成本
     */
    @Excel(name = "视频数据-有效播放成本 ", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放成本 ")
    private java.math.BigDecimal validPlayCost;
    /**
     * 视频数据-有效播放率
     */
    @Excel(name = "视频数据-有效播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-有效播放率 ")
    private java.math.BigDecimal validPlayRate;
    /**
     * 视频数据-25%进度播放数
     */
    @TableField(value = "play_25_feed_break")
    @Excel(name = "视频数据-25%进度播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-25%进度播放数 ")
    private java.lang.Integer play25FeedBreak;
    /**
     * 视频数据-50%进度播放数
     */
    @TableField(value = "play_50_feed_break")
    @Excel(name = "视频数据-50%进度播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-50%进度播放数 ")
    private java.lang.Integer play50FeedBreak;
    /**
     * 视频数据-75%进度播放数
     */
    @TableField(value = "play_75_feed_break")
    @Excel(name = "视频数据-75%进度播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-75%进度播放数 ")
    private java.lang.Integer play75FeedBreak;
    /**
     * 视频数据-99%进度播放数
     */
    @TableField(value = "play_100_feed_break")
    @Excel(name = "视频数据-99%进度播放数 ", width = 15)
    @ApiModelProperty(value = "视频数据-99%进度播放数 ")
    private java.lang.Integer play100FeedBreak;
    /**
     * 视频数据-平均单次播放时长，单位ms
     */
    @Excel(name = "视频数据-平均单次播放时长，单位ms ", width = 15)
    @ApiModelProperty(value = "视频数据-平均单次播放时长，单位ms ")
    private java.math.BigDecimal averagePlayTimePerPlay;
    /**
     * 视频数据-播完率
     */
    @Excel(name = "视频数据-播完率 ", width = 15)
    @ApiModelProperty(value = "视频数据-播完率 ")
    private java.math.BigDecimal playOverRate;
    /**
     * 视频数据-WiFi播放占比
     */
    @Excel(name = "视频数据-WiFi播放占比 ", width = 15)
    @ApiModelProperty(value = "视频数据-WiFi播放占比 ")
    private java.math.BigDecimal wifiPlayRate;
    /**
     * 视频数据-WiFi播放量
     */
    @Excel(name = "视频数据-WiFi播放量 ", width = 15)
    @ApiModelProperty(value = "视频数据-WiFi播放量 ")
    private java.lang.Integer wifiPlay;
    /**
     * 视频数据-播放时长，单位m
     */
    @Excel(name = "视频数据-播放时长，单位m ", width = 15)
    @ApiModelProperty(value = "视频数据-播放时长，单位m ")
    private Long playDurationSum;
    /**
     * 附加创意-附加创意电话按钮点击
     */
    @Excel(name = "附加创意-附加创意电话按钮点击 ", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意电话按钮点击 ")
    private java.lang.Integer advancedCreativePhoneClick;
    /**
     * 附加创意-附加创意在线咨询点击
     */
    @Excel(name = "附加创意-附加创意在线咨询点击 ", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意在线咨询点击 ")
    private java.lang.Integer advancedCreativeCounselClick;
    /**
     * 附加创意-附加创意表单按钮点击
     */
    @Excel(name = "附加创意-附加创意表单按钮点击 ", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意表单按钮点击 ")
    private java.lang.Integer advancedCreativeFormClick;
    /**
     * 附加创意-附加创意卡券领取
     */
    @Excel(name = "附加创意-附加创意卡券领取 ", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意卡券领取 ")
    private java.lang.Integer advancedCreativeCouponAddition;
    /**
     * 附加创意-附加创意表单提交
     */
    @Excel(name = "附加创意-附加创意表单提交 ", width = 15)
    @ApiModelProperty(value = "附加创意-附加创意表单提交 ")
    private java.lang.Integer advancedCreativeFormSubmit;
    /**
     * 视频数据3秒卡片展现
     */
    @Excel(name = "视频数据3秒卡片展现 ", width = 15)
    @ApiModelProperty(value = "视频数据3秒卡片展现 ")
    private java.lang.Integer cardShow;
    /**
     * 互动数据-分享数
     */
    @TableField(value = "`share`")
    @Excel(name = "互动数据-分享数 ", width = 15)
    @ApiModelProperty(value = "互动数据-分享数 ")
    private java.lang.Integer share;
    /**
     * 互动数据-评论数
     */
    @TableField(value = "`comment`")
    @Excel(name = "互动数据-评论数 ", width = 15)
    @ApiModelProperty(value = "互动数据-评论数 ")
    private java.lang.Integer comment;
    /**
     * 互动数据-点赞数
     */
    @TableField(value = "`like`")
    @Excel(name = "互动数据-点赞数 ", width = 15)
    @ApiModelProperty(value = "互动数据-点赞数 ")
    private java.lang.Integer like;
    /**
     * 互动数据-新增关注数
     */
    @TableField(value = "`follow`")
    @Excel(name = "互动数据-新增关注数 ", width = 15)
    @ApiModelProperty(value = "互动数据-新增关注数 ")
    private java.lang.Integer follow;
    /**
     * 互动数据-主页访问量
     */
    @Excel(name = "互动数据-主页访问量 ", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量 ")
    private java.lang.Integer homeVisited;
    /**
     * 互动数据-挑战赛查看数
     */
    @Excel(name = "互动数据-挑战赛查看数 ", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数 ")
    private java.lang.Integer iesChallengeClick;
    /**
     * 互动数据-音乐查看数
     */
    @Excel(name = "互动数据-音乐查看数 ", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数 ")
    private java.lang.Integer iesMusicClick;
    /**
     * 互动数据-POI点击数
     */
    @Excel(name = "互动数据-POI点击数 ", width = 15)
    @ApiModelProperty(value = "互动数据-POI点击数 ")
    private java.lang.Integer locationClick;
    /**
     * 互动数据-私信数
     */
    @Excel(name = "互动数据-私信数 ", width = 15)
    @ApiModelProperty(value = "互动数据-私信数 ")
    private java.lang.Integer messageAction;
    /**
     * 互动数据-推广页访问量
     */
    @Excel(name = "互动数据-推广页访问量 ", width = 15)
    @ApiModelProperty(value = "互动数据-推广页访问量 ")
    private java.lang.Integer clickLandingPage;
    /**
     * 互动数据-主页商品橱窗访问量
     */
    @Excel(name = "互动数据-主页商品橱窗访问量 ", width = 15)
    @ApiModelProperty(value = "互动数据-主页商品橱窗访问量 ")
    private java.lang.Integer clickShopwindow;
    /**
     * 互动数据-主页内落地页访问量（主页官网访问量）
     */
    @Excel(name = "互动数据-主页内落地页访问量（主页官网访问量） ", width = 15)
    @ApiModelProperty(value = "互动数据-主页内落地页访问量（主页官网访问量） ")
    private java.lang.Integer clickWebsite;
    /**
     * 互动数据-主页下载链接点击量
     */
    @Excel(name = "互动数据-主页下载链接点击量 ", width = 15)
    @ApiModelProperty(value = "互动数据-主页下载链接点击量 ")
    private java.lang.Integer clickDownload;
    /**
     * 互动数据-主页内电话拨打点击量
     */
    @Excel(name = "互动数据-主页内电话拨打点击量 ", width = 15)
    @ApiModelProperty(value = "互动数据-主页内电话拨打点击量 ")
    private java.lang.Integer clickCallDy;
    /**
     * Cost Per Click（每次点击的花费），按点击计费
     */
    @Excel(name = "Cost Per Click（每次点击的花费），按点击计费 ", width = 15)
    @ApiModelProperty(value = "Cost Per Click（每次点击的花费），按点击计费 ")
    private java.math.BigDecimal cpc;
    /**
     * Cost Per Mille（每千次曝光的花费），按展示计费
     */
    @Excel(name = "Cost Per Mille（每千次曝光的花费），按展示计费 ", width = 15)
    @ApiModelProperty(value = "Cost Per Mille（每千次曝光的花费），按展示计费 ")
    private java.math.BigDecimal cpm;
    /**
     * Cost Per Action（每次转化的花费），按转化计费
     */
    @Excel(name = "Cost Per Action（每次转化的花费），按转化计费 ", width = 15)
    @ApiModelProperty(value = "Cost Per Action（每次转化的花费），按转化计费 ")
    private java.math.BigDecimal cpa;
    /**
     * 互动数据-单次互动成本
     */
    @Excel(name = "互动数据-单次互动成本 ", width = 15)
    @ApiModelProperty(value = "互动数据-单次互动成本 ")
    private java.math.BigDecimal interactPerCost;
    /**
     * 互动数据-转化展现率
     */
    @Excel(name = "互动数据-转化展现率 ", width = 15)
    @ApiModelProperty(value = "互动数据-转化展现率 ")
    private java.math.BigDecimal convertShowRate;
    /**
     * 视频数据-10秒播放率
     */
    @TableField(value = "play_duration_10s_rate")
    @Excel(name = "视频数据-10秒播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-10秒播放率 ")
    private java.math.BigDecimal playDuration10sRate;
    /**
     * 视频数据-50%进度播放率
     */
    @TableField(value = "play_50_feed_break_rate")
    @Excel(name = "视频数据-50%进度播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-50%进度播放率 ")
    private java.math.BigDecimal play50FeedBreakRate;
    /**
     * 视频数据-25%进度播放率
     */
    @TableField(value = "play_25_feed_break_rate")
    @Excel(name = "视频数据-25%进度播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-25%进度播放率 ")
    private java.math.BigDecimal play25FeedBreakRate;
    /**
     * 视频数据-5秒播放率
     */
    @TableField(value = "play_duration_5s_rate")
    @Excel(name = "视频数据-5秒播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-5秒播放率 ")
    private java.math.BigDecimal playDuration5sRate;
    /**
     * 视频数据-2秒播放率
     */
    @TableField(value = "play_duration_2s_rate")
    @Excel(name = "视频数据-2秒播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-2秒播放率 ")
    private java.math.BigDecimal playDuration2sRate;
    /**
     * 视频数据-平均播放进度
     */
    @Excel(name = "视频数据-平均播放进度 ", width = 15)
    @ApiModelProperty(value = "视频数据-平均播放进度 ")
    private java.math.BigDecimal averagePlayProgress;
    /**
     * 视频数据-100%进度播放率
     */
    @TableField(value = "play_100_feed_break_rate")
    @Excel(name = "视频数据-100%进度播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-100%进度播放率 ")
    private java.math.BigDecimal play100FeedBreakRate;
    /**
     * 视频数据-3秒播放率
     */
    @TableField(value = "play_duration_3s_rate")
    @Excel(name = "视频数据-3秒播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-3秒播放率 ")
    private java.math.BigDecimal playDuration3sRate;
    /**
     * 视频数据-75%进度播放率
     */
    @TableField(value = "play_75_feed_break_rate")
    @Excel(name = "视频数据-75%进度播放率 ", width = 15)
    @ApiModelProperty(value = "视频数据-75%进度播放率 ")
    private java.math.BigDecimal play75FeedBreakRate;
    /**
     * 播放时长
     */
    @Excel(name = "播放时长 ", width = 15)
    @ApiModelProperty(value = "播放时长 ")
    private java.math.BigDecimal playDuration;
    /**
     * 播放3s
     */
    @TableField(value = "play_duration_3s")
    @Excel(name = "播放3s ", width = 15)
    @ApiModelProperty(value = "播放3s ")
    private java.math.BigDecimal playDuration3s;
    /**
     * 播放2秒
     */
    @TableField(value = "play_duration_2s")
    @Excel(name = "播放2秒 ", width = 15)
    @ApiModelProperty(value = "播放2秒 ")
    private java.math.BigDecimal playDuration2s;
    /**
     * 播放10秒
     */
    @TableField(value = "play_duration_10s")
    @Excel(name = "播放10秒 ", width = 15)
    @ApiModelProperty(value = "播放10秒 ")
    private java.math.BigDecimal playDuration10s;
    /**
     * 平均视频播放量
     */
    @Excel(name = "平均视频播放量 ", width = 15)
    @ApiModelProperty(value = "平均视频播放量 ")
    private java.math.BigDecimal averageVideoPlay;
    /**
     * 关键词排名，关键词报表专属字段
     */
    @Excel(name = "关键词排名，关键词报表专属字段 ", width = 15)
    @ApiModelProperty(value = "关键词排名，关键词报表专属字段 ")
    private java.math.BigDecimal avgRank;
    /**
     * 提交身份认证数-出行行业司机在应用内提交身份认证的次数
     */
    @Excel(name = "提交身份认证数-出行行业司机在应用内提交身份认证的次数 ", width = 15)
    @ApiModelProperty(value = "提交身份认证数-出行行业司机在应用内提交身份认证的次数 ")
    private java.lang.Integer submitCertificationCount;
    /**
     * 通过身份认证数-出行行业司机在应用内成功通过身份认证的次数
     */
    @Excel(name = "通过身份认证数-出行行业司机在应用内成功通过身份认证的次数 ", width = 15)
    @ApiModelProperty(value = "通过身份认证数-出行行业司机在应用内成功通过身份认证的次数 ")
    private java.lang.Integer approvalCount;
    /**
     * 乘客首次下单数-出行行业乘客在应用内首次成功下单的数量
     */
    @Excel(name = "乘客首次下单数-出行行业乘客在应用内首次成功下单的数量 ", width = 15)
    @ApiModelProperty(value = "乘客首次下单数-出行行业乘客在应用内首次成功下单的数量 ")
    private java.lang.Integer firstOrderCount;
    /**
     * 司机首次完单数-出行行业司机在应用内首次成功完成订单的数量
     */
    @Excel(name = "司机首次完单数-出行行业司机在应用内首次成功完成订单的数量 ", width = 15)
    @ApiModelProperty(value = "司机首次完单数-出行行业司机在应用内首次成功完成订单的数量 ")
    private java.lang.Integer firstRentalOrderCount;
    /**
     * 乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量
     */
    @Excel(name = "乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量", width = 15)
    @ApiModelProperty(value = "乘客首次支付数-出行行业乘客在应用内首次成功支付订单的数量")
    private java.lang.Integer commuteFirstPayCount;
}
