package cn.com.ctop.job.bytedance.data.mapper;

import cn.com.ctop.job.bytedance.data.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 今日头条广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
@Mapper
public interface DataMapper {

    ByteDanceAdvertisePlanDailyReport getByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("adId") Long adId, @Param("statDatetime") Integer statDatetime);

    ByteDanceAdvertisePlanHourlyReport getHourlyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("adId") Long adId, @Param("statDatetime") Integer statDatetime, @Param("hour") Integer hour);

    ByteDanceAdvertiseDailyReport getAdvertiseDailyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("statDatetime") Integer statDatetime);

    ByteDanceAdvertiseHourlyReport getAdvertiseHourlyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("statDatetime") Integer statDatetime, @Param("hour") Integer hour);

    BytedanceAgentReportDaily getAgentDailyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("agentId") Long agentId, @Param("statDatetime") Integer statDatetime);

    BytedanceAgentReportHourly getAgentHourlyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("agentId") Long agentId, @Param("statDatetime") String statDatetime, @Param("hour") Integer hour);

    BytedanceAudiencePackageGet getAudiencePackageByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("audiencePackageId") Long audiencePackageId);

    BytedanceCampaignGet getCampaignByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId);

    BytedanceCampaignReportDaily getCampaignDailyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("statDatetime") String statDatetime);

    BytedanceCampaignReportHourly getCampaignHourlyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("statDatetime") String statDatetime, @Param("hour") Integer hour);


    BytedanceCreativeGet getCreativeByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("adId") Long adId, @Param("creativeId") Long creativeId);

    BytedanceCreativeReportDaily getCreativeDailyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("adId") Long adId, @Param("creativeId") Long creativeId, @Param("statDatetime") String statDatetime);

    BytedanceCreativeReportHourly getCreativeHourlyByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("campaignId") Long campaignId, @Param("adId") Long adId, @Param("creativeId") Long creativeId, @Param("statDatetime") String statDatetime, @Param("hour") int hour);

    BytedanceFileImageGet getFileImageGetByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("id") String id);

    BytedanceFileVideoGet getFileVideoGetByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("id") String id);

    BytedanceMaterialReportDaily getMaterialReportByPrimaryKey(@Param("advertiserId") Long advertiserId, @Param("materialId") Long materialId, @Param("imageMode") String imageMode, @Param("inventory") String inventory, @Param("statDatetime") String statDatetime);
}
